;===========================================================================
;Special.St

;---------------------------------------------------------------------------
;Flying Barcelona Attack (Start)
[Statedef 1000]
Type = C
movetype = A
physics = C
velset = 0,0
ctrl = 0
anim = 11
poweradd = 150

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1000, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1000, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1000, ChangeState]
type = ChangeState
trigger1 = animtime = 0
value = 1005

;---------------------------------------------------------------------------
;Flying Barcelona Attack (Jump Towards wall)
[Statedef 1005]
Type = A
movetype = A
physics = A
ctrl = 0
anim = 44

[State 1005, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1005, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000, 1

[State 1005, VelSet]
Type = VelSet
trigger1 = time = 0
x = ifelse(command="holdfwd", frontedgedist/15.0, ifelse(command="holdback", backedgedist/-15.0, ifelse(frontedgedist < backedgedist, frontedgedist/15.0, backedgedist/-15.0)))
y = -9

[State 1005, VelSet]
Type = VelSet
trigger1 = abs(vel x) > 9
x = ifelse(vel x >= 0, 9, -9)
y = -9.5

[State 1005, VelSet]
Type = VelSet
trigger1 = abs(vel x) < 0.5
x = ifelse(vel x >= 0, -0.5, 0.5)

[State 1005, ChangeState]
Type = ChangeState
triggerall = pos y < -50
trigger1 = vel x > 0
trigger1 = frontedgedist < 10
trigger2 = vel x < 0
trigger2 = backedgedist < 10
value = 1006

;---------------------------------------------------------------------------
;Flying Barcelona Attack (Wall bounce)
[Statedef 1006]
Type = A
movetype = A
physics = N
ctrl = 0
velset = 0,0
anim = 1000

[State 1006, Turn]
Type = Turn
trigger1 = frontedgedist < 10

[State 1006, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = SCA
time = 5

[State 1006, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1010

;---------------------------------------------------------------------------
;Flying Barcelona Attack (Jump Towards Opponent)
[Statedef 1010]
Type = A
movetype = A
physics = A
ctrl = 0
anim = 44

[State 1005, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1010, VelSet]
Type = VelSet
trigger1 = time = 0
x = ifelse(abs((Pos x+160) - (EnemyNear(0), Pos X + 160)) < 50, 1.3, ifelse(abs((Pos x+160) - (EnemyNear(0), Pos X + 160)) < 150, 3.5, 7.8))

[State 1010, VarSet]
Type = VarSet
trigger1 = time = 0
fvar(0) = (abs((EnemyNear(0), Pos X + 160) - (Pos x + 160))+ 5)/(vel x)

[State 1010, VelSet]
Type = VelSet
trigger1 = time = 0
y = -(25 + (0.11*fvar(0)*fvar(0)))/fvar(0)

;---------------------------------------------------------------------------
;Flying Barcelona Attack
[Statedef 1020]
Type = A
movetype = A
physics = A
ctrl = 0
anim = 1010
poweradd = 100

[State 1020, Lower Gravity]
Type = VelAdd
trigger1 = 1
y = -0.22

[State 1020, VelSet]
Type = VelSet
trigger1 = time = 0
x = vel x/2.0
y = vel y/1.2

[State 1005, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 1020, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = time = 0
attr = A, SA
damage = Floor((10 + 3 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 12
guard.pausetime = 8,12
sparkno = 3
guard.sparkno = 0
sparkxy = -5, -28
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.15282, -4.700000
guard.velocity = -3.12097
air.velocity = -2.15282, -6.500000
air.hittime = 30
air.type = High
getpower = 50, 75
givepower = 20, 30
fall = 1
air.fall = 1
ground.cornerpush.veloff = 0

[State 1020, HitDef]
type = HitDef
triggerall = (Var(47) < 0)
trigger1 = time = 0
attr = A, SA
damage = Floor((10 + 3 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 8, 12
guard.pausetime = 8,12
sparkno = 3
guard.sparkno = 0
sparkxy = -5, -28
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.15282, -4.700000
guard.velocity = -3.12097
air.velocity = -2.15282, -6.500000
air.hittime = 30
air.type = High
getpower = 50, 75
givepower = 20, 30
fall = 1
air.fall = 1
ground.cornerpush.veloff = 0

[State 1020, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 1020, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
;persistent = 0
ignorehitpause = 1

[State 1020, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger2 = pos y > -15
value = 1040

;---------------------------------------------------------------------------
;Flying Izuna Drop Attack
[Statedef 1030]
Type = A
movetype = A
physics = A
ctrl = 0
anim = 1200

[State 1030, HitDef]
Type = HitDef
trigger1 = time = 0
trigger1 = P2Stateno != [130, 153]
attr = A, ST
guardflag = 
hitflag = MA
guard.dist = -1
priority = 4, Hit
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, 0
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 1035
p1stateno = 1031
fall = 1
;hitsound = 5,0

[State 800, ChangeState]
Type = ChangeState
trigger1 = MoveHit
value = 1031

[State 800, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1020

;---------------------------------------------------------------------------
;Flying Izuna Drop Hit
[Statedef 1031]
Type = A
movetype = A
physics = N
velset = 0,0
ctrl = 0
anim = 1210
poweradd = 100

[State 1005, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1200, 0
channel = 0

[State 1005, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1200, 1

[State 1031, SprPriority]
type = SprPriority
trigger1 = AnimElem =1
value = 2

[State 1031, Bind 1]
type = TargetBind
trigger1 = AnimElemtime(2) < 0
pos = 28, -10

[State 1031, Bind 2]
type = TargetBind
trigger1 = AnimElemtime(2) >= 0
trigger1 = AnimElemtime(3) < 0
pos = -15, -67

[State 1031, Bind 3]
type = TargetBind
trigger1 = AnimElemtime(3) >= 0
trigger1 = AnimElemtime(4) < 0
pos = -32, -10

[State 1031, Bind 4]
type = TargetBind
trigger1 = AnimElemtime(4) >= 0
pos = 3, 0

[State 1031, Gravity]
Type = Gravity
trigger1 = AnimElemtime(4) >= 0

[State 1031, ChangeState] 
Type = ChangeState
trigger1 = pos y >= 0
trigger1 = animelemtime(4) >= 0
value = 1032

;---------------------------------------------------------------------------
;Flying Izuna Drop Land
[Statedef 1032]
Type = A
movetype = A
physics = N
velset = 0,0
ctrl = 0
anim = 1211

[State 1031, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 1031, SprPriority]
type = SprPriority
trigger1 = time = 1
value = 2

[State 1031, Bind 5]
type = TargetBind
trigger1 = time = 0
pos = 12, -2

[State 1031, That Hurts]
type = TargetLifeAdd
trigger1 = time = 0
value = -Floor((17 + (Random/1000.0)* 3) * Fvar(28) + 0.5)

[State 1031, TargetState]
Type = TargetState
trigger1 = time = 0
value = 1036

[State 1031, EnvShake]
Type = EnvShake
trigger1 = time = 0
time = 30

[State 1031, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = F5,4
channel = 1

[State 822, 8]
type = Explod
trigger1 = time = 0
anim = f60
pos = 12, 0

[State 1031, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1050

;---------------------------------------------------------------------------
; Being Thrown by Izuna Drop (Air)
[StateDef 1035]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 802, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 1205

[State 811, 6]
Type = SelfState
trigger1 = !GetHitVar(IsBound)
value = 5030

;---------------------------------------------------------------------------
; Being Thrown by Izuna Drop (Air)
[StateDef 1036]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 802, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 1206

[State 3031, TargetState]
Type = VelSet
trigger1 = animtime = 0
x = -1.5
y = -1.5

[State 811, 6]
Type = ChangeState
trigger1 = animtime = 0
value = 822

;---------------------------------------------------------------------------
;Flying Barcelona Attack Landing
[Statedef 1040]
type    = A
movetype = A
physics = N
anim = 1410

[State 1040, Gravity]
Type = Gravity
trigger1 = 1

[State 1040, Chain]
type = VarSet
trigger1 = Time = 0
var(50) = 0

[State 1040, PosSet]
Type = PosSet
trigger1 = pos y >= 0
y = 0

[State 1040, ChangeState]
Type = ChangeState
trigger1 = pos y >= 0
value = 1050

;---------------------------------------------------------------------------
;Flying Barcelona Attack Land
[Statedef 1050]
type = S
movetype = A
physics = S
velset = 0,0
anim = 11

[State 1230, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 48128

[State 1230, ChangeState]
Type = ChangeState
trigger1 = time = 18
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Rolling Crystal Flash Start
[Statedef 1100]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 11
poweradd = 100

[State 1100, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000,0
channel = 0

[State 1100, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 5

[State 1100, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1100, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1100, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1100, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1100, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1100, ChangeState]
type = ChangeState
trigger1 = animtime = 0
trigger1 = var(43) := ifelse(var(50) = 2, 4, 2)
value = 1105

;---------------------------------------------------------------------------
; Rolling Crystal Flash Roll
[Statedef 1105]
type    = C
movetype= A
physics = N
velset = 2.5,-0.8
anim = 1100
ctrl = 0
poweradd = 0

[State 1105, Gravity]
Type = VelAdd
trigger1 = pos y < 0
y = 0.13

[State 1105, PosSet]
Type = PosSet
trigger1 = time > 0
trigger1 = pos y >= 0
y = 0

[State 1105, VelSet]
Type = VelSet
trigger1 = time > 0
trigger1 = pos y = 0
y = 0

[State 1100, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1105, Chain]
Type = VarSet
trigger1 = var(43) = 0
trigger1 = animelemtime(2) > 0
var(55) = 55808

[State 1105, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = time = 0
attr = S, SA
damage = Floor((2 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 12
guard.pausetime = 8,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -28
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 18
ground.slidetime = 18
ground.velocity = -2.15282, -4.700000 * (var(49) = 0)
guard.velocity = -3.12097
air.velocity = -2.15282, -6.500000
air.hittime = 30
air.type = High
getpower = 10, 15
givepower = 10, 15
fall = (var(49) = 0)
air.fall = 1
ground.cornerpush.veloff = 0

[State 1105, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 1100, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -2
;persistent = 0
ignorehitpause = 1

[State 1105, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger1 = var(43) := var(43) - 1
value = 1105

[State 1105, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger1 = var(43) = 0
value = 1110

;---------------------------------------------------------------------------
; Rolling Crystal Flash Roll End
[Statedef 1110]
type    = C
movetype= A
physics = C
velset = 0,0
anim = 1110
ctrl = 0
poweradd = 0

[State 1105, Chain]
Type = VarSet
trigger1 = animelemtime(2) = 1
var(55) = 65152

[State 1105, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 0
var(55) = 0

[State 1005, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1300, 1

[State 1105, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = animelemtime(2) = 0
attr = S, SA
damage = Floor((3 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 12
guard.pausetime = 8,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -28
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -4.15282 + 2 * (var(49) = 0), -4.700000 * (var(49) = 0)
guard.velocity = -4.12097
air.velocity = -2.15282, -6.500000
air.hittime = 30
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = (var(49) = 0)
air.fall = 1
ground.cornerpush.veloff = 0

[State 1105, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 1100, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -2
;persistent = 0
ignorehitpause = 1

[State 1110, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Izuna Drop Attack
[Statedef 1200]
Type = S
movetype = A
physics = N
ctrl = 0
anim = 800
poweradd = 200
ctrl = 0

[State 1100, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1030, HitDef]
Type = HitDef
trigger1 = time = 0
trigger1 = P2Stateno != [130, 153]
attr = S, ST
guardflag = 
hitflag = M
guard.dist = -1
priority = 4, Hit
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -50
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 1215
p1stateno = 1201
fall = 1
;hitsound = 5,0

[State 800, ChangeState]
Type = ChangeState
trigger1 = MoveHit
value = 1201
ignorehitpause = 1

[State 800, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1210

;---------------------------------------------------------------------------
;Flying Izuna Drop Hit
[Statedef 1201]
Type = S
movetype = A
physics = N
ctrl = 0
velset = 0
anim = 1215
poweradd = 50

[State 1005, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1200, 0
channel = 0

[State 1005, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 1200, 1

[State 1201, SprPriority]
type = SprPriority
trigger1 = AnimElem =1
value = 2

[State 1201, StateTypeSet]
Type = StateTypeSet
trigger1 = animelemtime(2) = 0
StateType = A

[State 1201, VelSet]
Type = VelSet
trigger1 = animelemtime(2) = 0
x = -0.9
y = -10.5

[State 1201, Bind 1]
type = TargetBind
trigger1 = AnimElemtime(3) < 0
pos = 28, -10

[State 1201, Bind 2]
type = TargetBind
trigger1 = AnimElemtime(3) >= 0
trigger1 = AnimElemtime(4) < 0
pos = -15, -67

[State 1201, Bind 3]
type = TargetBind
trigger1 = AnimElemtime(4) >= 0
trigger1 = AnimElemtime(5) < 0
pos = -32, -10

[State 1201, Bind 4]
type = TargetBind
trigger1 = AnimElemtime(5) >= 0
pos = 3, 0

[State 1201, Gravity]
Type = Gravity
trigger1 = animelemtime(2) >= 0

[State 1031, ChangeState] 
Type = ChangeState
trigger1 = pos y >= 0
trigger1 = animelemtime(4) >= 0
value = 1032

;---------------------------------------------------------------------------
;Izuna Drop Miss
[Statedef 1210]
Type = S
movetype = A
physics = N
velset = 0,0
ctrl = 0
anim = 1220

[State 1210, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1210, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Being Thrown by Izuna Drop (Land)
[StateDef 1215]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 802, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 1207

[State 811, 6]
Type = SelfState
trigger1 = !GetHitVar(IsBound)
value = 5030

;---------------------------------------------------------------------------
;Sky High Claw (Start)
[Statedef 1300]
Type = C
movetype = A
physics = C
velset = 0,0
ctrl = 0
anim = 11
poweradd = 100

[State 1300, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1300, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1300, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1300, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1300, ChangeState]
type = ChangeState
trigger1 = animtime = 0
value = 1305

;---------------------------------------------------------------------------
;Sky High Claw (Jump Towards wall)
[Statedef 1305]
Type = A
movetype = A
physics = A
ctrl = 0
anim = 44

[State 1005, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1005, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000, 1
channel = 0

[State 1005, VelSet]
Type = VelSet
trigger1 = time = 0
x = ifelse(command="holdfwd", frontedgedist/15.0, ifelse(command="holdback", backedgedist/-15.0, ifelse(frontedgedist < backedgedist, frontedgedist/15.0, backedgedist/-15.0)))
y = -9

[State 1005, VelSet]
Type = VelSet
trigger1 = abs(vel x) > 9
x = ifelse(vel x >= 0, 9, -9)
y = -9.5

[State 1005, VelSet]
Type = VelSet
trigger1 = abs(vel x) < 0.5
x = ifelse(vel x >= 0, -0.5, 0.5)

[State 1305, ChangeState]
Type = ChangeState
triggerall = pos y < -50
trigger1 = vel x > 0
trigger1 = frontedgedist < 10
trigger2 = vel x < 0
trigger2 = backedgedist < 10
value = 1306

;---------------------------------------------------------------------------
;Sky High Claw (Wall bounce)
[Statedef 1306]
Type = A
movetype = A
physics = N
ctrl = 0
velset = 0,0
anim = 1000

[State 1006, Turn]
Type = Turn
trigger1 = frontedgedist < 10

[State 1006, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = SCA
time = 5

[State 1006, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1310

;---------------------------------------------------------------------------
;Sky High Claw (Jump Towards Opponent)
[Statedef 1310]
Type = A
movetype = A
physics = N
ctrl = 0
anim = 1300
poweradd = 80

[State 1300, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1300, VelSet]
Type = VelSet
trigger1 = time = 0
x = 6.5
y = -(Pos Y + EnemyNear(0), Const(size.head.pos.y))/15.0

[State 1005, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1300, 0
channel = 0

[State 1020, Lower Gravity]
Type = VelMul
trigger1 = 1
y = 0.9

[State 1020, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = time = 0
attr = A, SA
damage = Floor((9 + 3 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 12
guard.pausetime = 8,12
sparkno = 3
guard.sparkno = 0
sparkxy = -5, -28
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.15282, -4.700000
guard.velocity = -3.12097
air.velocity = -2.15282, -6.500000
air.hittime = 30
air.type = High
getpower = 50, 75
givepower = 20, 30
fall = 1
air.fall = 1
ground.cornerpush.veloff = 0

[State 1020, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 1020, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
;persistent = 0
ignorehitpause = 1

[State 1310, ChangeState]
Type = ChangeState
trigger1 = MoveContact
trigger1 = hitpausetime = 0
value = 1320

[State 1020, ChangeState]
Type = ChangeState
trigger1 = !MoveContact
trigger1 = time > 41
value = 1040

;---------------------------------------------------------------------------
;Sky High Claw (Bounce)
[Statedef 1320]
type    = A
physics = A
velset = -3, -5

[State 50, Moveability]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 50, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 50, 2]
type = ChangeAnim
trigger1 = Time = 0
value = 43

;---------------------------------------------------------------------------
; Scarlet Terror
[Statedef 1400]
type    = A
movetype= A
physics = N
velset = 0.5 + var(50),-5 -var(50)
ctrl = 0
anim = 1400
poweradd = 100

[State 1200, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1200,0
channel = 0

[State 1200, Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 1200, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1400, Width]
Type = Width
trigger1 = 1
player = 6, 20

[State 1200, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1200, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1200, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1200, Gravity]
Type = Gravity
trigger1 = 1

[State 1450, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 10

[State 1400, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = animelemtime(2) = 0
trigger2 = animelemtime(3) = 0
attr = A, SA
damage = Floor((5 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 10
guard.pausetime = 8,10
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -28
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.55282, -6.700000
guard.velocity = -3.12097
air.velocity = -1.45282, -7.500000
air.hittime = 30
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = 1
air.fall = 1
ground.cornerpush.veloff = 0

[State 1400, HitDef]
type = HitDef
triggerall = (Var(47) < 0)
trigger1 = animelemtime(2) = 0
trigger2 = animelemtime(3) = 0
attr = A, SA
damage = Floor((5 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 8, 10
guard.pausetime = 8,10
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -28
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.55282, -6.700000
guard.velocity = -3.12097
air.velocity = -1.45282, -7.500000
air.hittime = 30
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = 1
air.fall = 1
ground.cornerpush.veloff = 0

[State 1400, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 1400, Juggle]
Type = VarSet
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 1200, ChangeState]
type = ChangeState
trigger1 = animtime = 0
value = 1410

;---------------------------------------------------------------------------
;Tsu Maki Sempu Kyako Landing
[Statedef 1410]
type    = A
movetype = A
physics = N
anim = 1410

[State 1410, Gravity]
Type = Gravity
trigger1 = 1

[State 1410, Chain]
type = VarSet
trigger1 = Time = 0
var(50) = 0

[State 1410, PosSet]
Type = PosSet
trigger1 = pos y >= 0
y = 0

[State 1410, ChangeState]
Type = ChangeState
trigger1 = pos y >= 0
value = 1420

;---------------------------------------------------------------------------
;Tsu Maki Sempu Kyako Land
[Statedef 1420]
type = S
movetype = A
physics = S
velset = 0,0
anim = 11

[State 1230, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 45184

[State 1230, ChangeState]
Type = ChangeState
trigger1 = time = 27
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Rolling Flying Barcelona Attack (Start)
[Statedef 3000]
Type = C
movetype = A
physics = C
velset = 0,0
ctrl = 0
anim = 11

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1000, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1000, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1300,0
channel = 0

[State 3000, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3000, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3000, Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 3000, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3000, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = 2, -25
movetime = 0
sound = 20, 0
p2defmul = 1

[State 3000, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 15

[State 3000, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3000, ChangeState]
type = ChangeState
trigger1 = animtime = 0
value = 3005

;---------------------------------------------------------------------------
;Flying Barcelona Attack (Jump Towards wall)
[Statedef 3005]
Type = A
movetype = A
physics = A
ctrl = 0
anim = 44

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000,1
channel = 0

[State 3005, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3005, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3005, VelSet]
Type = VelSet
trigger1 = time = 0
x = ifelse(command="holdfwd", frontedgedist/15.0, ifelse(command="holdback", backedgedist/-15.0, ifelse(frontedgedist < backedgedist, frontedgedist/15.0, backedgedist/-15.0)))
y = -9

[State 1005, VelSet]
Type = VelSet
trigger1 = abs(vel x) > 9
x = ifelse(vel x >= 0, 9, -9)
y = -9.5

[State 1005, VelSet]
Type = VelSet
trigger1 = abs(vel x) < 0.5
x = ifelse(vel x >= 0, -0.5, 0.5)

[State 3005, ChangeState]
Type = ChangeState
triggerall = pos y < -50
trigger1 = vel x > 0
trigger1 = frontedgedist < 10
trigger2 = vel x < 0
trigger2 = backedgedist < 10
value = 3006

;---------------------------------------------------------------------------
;Flying Barcelona Attack (Wall bounce)
[Statedef 3006]
Type = A
movetype = A
physics = N
ctrl = 0
velset = 0,0
anim = 1000

[State 3006, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3006, Turn]
Type = Turn
trigger1 = frontedgedist < 10

[State 3006, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = SCA
time = 5

[State 3006, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3010

;---------------------------------------------------------------------------
;Flying Barcelona Attack (Jump Towards Opponent)
[Statedef 3010]
Type = A
movetype = A
physics = A
ctrl = 0
anim = 44

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3010, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3010, VelSet]
Type = VelSet
trigger1 = time = 0
x = ifelse(abs((Pos x+160) - (EnemyNear(0), Pos X + 160)) < 50, 1.3, ifelse(abs((Pos x+160) - (EnemyNear(0), Pos X + 160)) < 150, 3.5, 7.8))

[State 3010, VarSet]
Type = VarSet
trigger1 = time = 0
fvar(0) = (abs((EnemyNear(0), Pos X + 160) - (Pos x + 160))+ 5)/(vel x)

[State 1010, VelSet]
Type = VelSet
trigger1 = time = 0
y = -(25 + (0.11*fvar(0)*fvar(0)))/fvar(0)

;---------------------------------------------------------------------------
;Flying Barcelona Attack
[Statedef 3020]
Type = A
movetype = A
physics = A
ctrl = 0
anim = 3100

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3020, Lower Gravity]
Type = VelAdd
trigger1 = 1
y = -0.22

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000,0
channel = 0

[State 1020, VelSet]
Type = VelSet
trigger1 = time = 0
x = vel x/2.0
y = vel y/1.2

[State 3020, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = time = 0
attr = A, HA
damage = Floor((27 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(6 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 12
guard.pausetime = 8,12
sparkno = 3
guard.sparkno = 0
sparkxy = -5, -28
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.15282, -4.700000
guard.velocity = -3.12097
air.velocity = -2.15282, -6.500000
air.hittime = 30
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 1
air.fall = 1
ground.cornerpush.veloff = 0

[State 3020, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 3020, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -12
persistent = 0
ignorehitpause = 1

[State 3020, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger2 = pos y > -15
value = 3040

;---------------------------------------------------------------------------
;Flying Izuna Drop Attack
[Statedef 3030]
Type = A
movetype = A
physics = A
ctrl = 0
anim = 1200

[State 3030, HitDef]
Type = HitDef
trigger1 = time = 0
attr = A, HT
guardflag = 
hitflag = MA
guard.dist = -1
priority = 4, Hit
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, 0
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 3035
p1stateno = 3031
fall = 1
;hitsound = 5,0

[State 800, ChangeState]
Type = ChangeState
trigger1 = MoveHit
value = 3031

[State 800, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3020

;---------------------------------------------------------------------------
;Flying Izuna Drop Hit
[Statedef 3031]
Type = A
movetype = A
physics = N
velset = 0,0
ctrl = 0
anim = 1210

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1200,0
channel = 0

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3031, SprPriority]
type = SprPriority
trigger1 = AnimElem =1
value = 2

[State 3031, Bind 1]
type = TargetBind
trigger1 = AnimElemtime(2) < 0
pos = 28, -10

[State 3031, Bind 2]
type = TargetBind
trigger1 = AnimElemtime(2) >= 0
trigger1 = AnimElemtime(3) < 0
pos = -15, -67

[State 3031, Bind 3]
type = TargetBind
trigger1 = AnimElemtime(3) >= 0
trigger1 = AnimElemtime(4) < 0
pos = -32, -10

[State 3031, Bind 4]
type = TargetBind
trigger1 = AnimElemtime(4) >= 0
pos = 3, 0

[State 3031, Gravity]
Type = Gravity
trigger1 = AnimElemtime(4) >= 0

[State 3031, ChangeState] 
Type = ChangeState
trigger1 = pos y >= 0
trigger1 = animelemtime(4) >= 0
value = 3032

;---------------------------------------------------------------------------
;Flying Izuna Drop Land
[Statedef 3032]
Type = A
movetype = A
physics = N
velset = 0,0
ctrl = 0
anim = 1211

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3031, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 3031, SprPriority]
type = SprPriority
trigger1 = time = 1
value = 2

[State 3031, Bind 5]
type = TargetBind
trigger1 = time = 0
pos = 12, -2

[State 3031, That Hurts]
type = TargetLifeAdd
trigger1 = time = 0
value = -Floor((22 + (Random/1000.0)* 3) * Fvar(28) + 0.5)

[State 3031, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3036

[State 822, 8]
type = Explod
trigger1 = animelemtime(3) = 0
anim = f61
pos = 12, 0

[State 3031, EnvShake]
Type = EnvShake
trigger1 = time = 0
time = 30

[State 3031, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = F5,4
channel = 1

[State 3031, ChangeState]
Type = ChangeState
trigger1 = animelemtime(2) = 0
value = 3060

;---------------------------------------------------------------------------
;Izuna Drop Cont
[Statedef 3060]
Type = S
movetype = A
physics = N
ctrl = 0
velset = 0
anim = 1215

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000,1
channel = 0

[State 1201, TargetState]
Type = TargetState
trigger1 = time = 0
value = 1215

[State 1201, SprPriority]
type = SprPriority
trigger1 = AnimElem =1
value = 2

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1201, StateTypeSet]
Type = StateTypeSet
trigger1 = animelemtime(2) = 0
StateType = A

[State 1201, VelSet]
Type = VelSet
trigger1 = animelemtime(2) = 0
x = -0.9
y = -10.5

[State 1201, Bind 1]
type = TargetBind
trigger1 = AnimElemtime(3) < 0
pos = 28, -10

[State 1201, Bind 2]
type = TargetBind
trigger1 = AnimElemtime(3) >= 0
trigger1 = AnimElemtime(4) < 0
pos = -15, -67

[State 1201, Bind 3]
type = TargetBind
trigger1 = AnimElemtime(4) >= 0
trigger1 = AnimElemtime(5) < 0
pos = -32, -10

[State 1201, Bind 4]
type = TargetBind
trigger1 = AnimElemtime(5) >= 0
pos = 3, 0

[State 1201, Gravity]
Type = Gravity
trigger1 = animelemtime(2) >= 0

[State 1031, ChangeState] 
Type = ChangeState
trigger1 = pos y >= 0
trigger1 = animelemtime(4) >= 0
value = 3070

;---------------------------------------------------------------------------
;Flying Izuna Drop Land
[Statedef 3070]
Type = A
movetype = A
physics = N
velset = 0,0
ctrl = 0
anim = 1211

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3031, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 3031, SprPriority]
type = SprPriority
trigger1 = time = 1
value = 2

[State 3031, Bind 5]
type = TargetBind
trigger1 = time = 0
pos = 12, -2

[State 3031, That Hurts]
type = TargetLifeAdd
trigger1 = time = 0
value = -Floor((15 + (Random/1000.0)* 3) * Fvar(28) + 0.5)

[State 3031, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3036

[State 3031, TargetState]
Type = TargetVelSet
trigger1 = time = 0
x = -1.5
y = -1.5

[State 3031, EnvShake]
Type = EnvShake
trigger1 = time = 0
time = 30

[State 822, 8]
type = Explod
trigger1 = time = 0
anim = f62
pos = 12, 0

[State 3031, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = F5,4
channel = 1

[State 3031, ChangeState]
Type = ChangeState
trigger1 = animelemtime(2) = 0
value = 3050

;---------------------------------------------------------------------------
; Being Thrown by Izuna Drop (Air)
[StateDef 3035]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 802, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 1205

[State 811, 6]
Type = SelfState
trigger1 = !GetHitVar(IsBound)
value = 5030

;---------------------------------------------------------------------------
; Being Thrown by Izuna Drop (Air)
[StateDef 3036]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 802, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 1206

[State 3036, VelSet]
Type = VelSet
trigger1 = animtime = 0
x = -1.2
y = -1.5

[State 811, 6]
Type = ChangeState
trigger1 = animtime = 0
value = 822

;---------------------------------------------------------------------------
;Flying Barcelona Attack Landing
[Statedef 3040]
type    = A
movetype = A
physics = N
anim = 1410

[State 3040, Gravity]
Type = Gravity
trigger1 = 1

[State 3040, Chain]
type = VarSet
trigger1 = Time = 0
var(50) = 0

[State 3040, PosSet]
Type = PosSet
trigger1 = pos y >= 0
y = 0

[State 3040, ChangeState]
Type = ChangeState
trigger1 = pos y >= 0
value = 3050

;---------------------------------------------------------------------------
;Flying Barcelona Attack Land
[Statedef 3050]
type = S
movetype = A
physics = S
velset = 0,0
anim = 11

[State 1230, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 32768

[State 1230, ChangeState]
Type = ChangeState
trigger1 = time = 18
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Izuna Drop Attack
[Statedef 3100]
Type = S
movetype = A
physics = N
ctrl = 0
anim = 3200
velset = 0,0

[State 3200, PlaySnd]
Type = PlaySnd
trigger1 = animtime = 0
value = 1300,0
channel = 0

[State 3200, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3200, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3200, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3200, Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 3200, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3200, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = -2, -35
movetime = 9
sound = 20, 0
p2defmul = 1

[State 3101, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3101, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3200, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 30

[State 1030, HitDef]
Type = HitDef
trigger1 = time = 0
trigger1 = P2Stateno != [130, 153]
attr = S, HT
guardflag = 
hitflag = M
guard.dist = -1
priority = 4, Hit
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -50
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 3102
fall = 1
;hitsound = 5,0

[State 800, ChangeState]
Type = ChangeState
trigger1 = MoveHit
trigger1 = var(43) := 2
value = 3105
ignorehitpause = 1

[State 800, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3110

;---------------------------------------------------------------------------
;Flying Izuna Drop Hit Cont
[Statedef 3101]
Type = S
movetype = A
physics = N
ctrl = 0
velset = 0
anim = 1215

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1200,0
channel = 0

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 1200,1

[State 3101, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3105, TargetState]
Type = TargetState
trigger1 = time = 0
value = 1215

[State 1201, SprPriority]
type = SprPriority
trigger1 = AnimElem =1
value = 2

[State 1201, StateTypeSet]
Type = StateTypeSet
trigger1 = animelemtime(2) = 0
StateType = A

[State 1201, VelSet]
Type = VelSet
trigger1 = animelemtime(2) = 0
x = -0.9
y = -10.5

[State 1201, Bind 1]
type = TargetBind
trigger1 = AnimElemtime(3) < 0
pos = 28, -10

[State 1201, Bind 2]
type = TargetBind
trigger1 = AnimElemtime(3) >= 0
trigger1 = AnimElemtime(4) < 0
pos = -15, -67

[State 1201, Bind 3]
type = TargetBind
trigger1 = AnimElemtime(4) >= 0
trigger1 = AnimElemtime(5) < 0
pos = -32, -10

[State 1201, Bind 4]
type = TargetBind
trigger1 = AnimElemtime(5) >= 0
pos = 3, 0

[State 1201, Gravity]
Type = Gravity
trigger1 = animelemtime(2) >= 0

[State 1031, ChangeState] 
Type = ChangeState
trigger1 = pos y >= 0
trigger1 = animelemtime(4) >= 0
value = 3070

;---------------------------------------------------------------------------
;Flying Izuna Drop Land
[Statedef 3102]
Type = A
movetype = A
physics = N
velset = 0,0
ctrl = 0
anim = 1211

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3031, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 3031, SprPriority]
type = SprPriority
trigger1 = time = 1
value = 2

[State 3031, Bind 5]
type = TargetBind
trigger1 = time = 0
pos = 12, -2

[State 3031, That Hurts]
type = TargetLifeAdd
trigger1 = time = 0
value = -Floor((9 + (Random/1000.0)* 3) * Fvar(28) + 0.5)

[State 3031, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3036

[State 3031, EnvShake]
Type = EnvShake
trigger1 = time = 0
time = 30

[State 3031, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = F5,4
channel = 1

[State 822, 8]
type = Explod
trigger1 = animelemtime(3) = 0
anim = f60
pos = 12, 0

[State 3031, ChangeState]
Type = ChangeState
trigger1 = animelemtime(2) = 0
trigger1 = var(43) := var(43) - 1
value = 3105

[State 3031, ChangeState]
Type = ChangeState
trigger1 = animelemtime(2) = 0
trigger1 = var(43) = 0
value = 3101

;---------------------------------------------------------------------------
;Flying Izuna Drop Hit Cont
[Statedef 3105]
Type = S
movetype = A
physics = N
ctrl = 0
velset = 0
anim = 3215

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000,1
channel = 0

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 1200,1

[State 3101, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3105, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3115

[State 1201, SprPriority]
type = SprPriority
trigger1 = AnimElem =1
value = 2

[State 1201, StateTypeSet]
Type = StateTypeSet
trigger1 = animelemtime(2) = 0
StateType = A

[State 1201, VelSet]
Type = VelSet
trigger1 = animelemtime(2) = 0
x = -0.9
y = -5.2

[State 1201, Bind 1]
type = TargetBind
trigger1 = AnimElemtime(3) < 0
pos = 28, -10

[State 1201, Bind 2]
type = TargetBind
trigger1 = AnimElemtime(3) >= 0
trigger1 = AnimElemtime(4) < 0
pos = -15, -67

[State 1201, Bind 3]
type = TargetBind
trigger1 = AnimElemtime(4) >= 0
trigger1 = AnimElemtime(5) < 0
pos = -32, -10

[State 1201, Bind 4]
type = TargetBind
trigger1 = AnimElemtime(5) >= 0
pos = 3, 0

[State 1201, Gravity]
Type = Gravity
trigger1 = animelemtime(2) >= 0

[State 1031, ChangeState] 
Type = ChangeState
trigger1 = pos y >= 0
trigger1 = animelemtime(4) >= 0
value = 3102

;---------------------------------------------------------------------------
; Being Thrown by Izuna Drop (Land)
[StateDef 3115]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 802, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 3207

[State 811, 6]
Type = SelfState
trigger1 = !GetHitVar(IsBound)
value = 5030

;---------------------------------------------------------------------------
;Izuna Drop Miss
[Statedef 3110]
Type = S
movetype = A
physics = N
velset = 0,0
ctrl = 0
anim = 1220

[State 3110, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3110, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Scarlet Mirage
[StateDef 3200]
Type = S
movetype = A
Physics = S
ctrl = 0
anim = 3000
velset = 0,0

[State 3200, PlaySnd]
Type = PlaySnd
trigger1 = animtime = 0
value = 1300,0
channel = 0

[State 3200, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3200, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3200, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3200, Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 3200, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3200, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = -2, -35
movetime = 9
sound = 20, 0
p2defmul = 1

[State 3200, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 30

[State 3200, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger1 = var(43) := 2
value = 3210

;---------------------------------------------------------------------------
;Scarlet Mirage Attack
[Statedef 3210]
type    = A
movetype= A
physics = N
anim = 3010
ctrl = 0

[State 3210, VelSet]
Type = VelSet
trigger1 = time = 0
trigger1 = var(43) = 2
x = 2.3
y = -5.3

[State 3100, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000,1
channel = 0

[State 3101, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3101, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3101, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3101, Chain Flag]
Type = VarSet
trigger1 = time = 3
var(55) = 0

[State 1200, Gravity]
Type = VelAdd
trigger1 = 1
y = 0.22

[State 1400, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = !(movecontact % 3)
attr = A, HA
damage = Floor((4 + 2 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
guard.pausetime = 8,9
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -28
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.15282, -8.700000
guard.velocity = -3.12097
air.velocity = -1.15282, -7.500000
air.hittime = 30
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 1
air.fall = 1
ground.cornerpush.veloff = 0

[State 3101, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 3101, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -1
persistent = -1
ignorehitpause = 1

[State 3101, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger1 = var(43) := var(43) - 1
value = 3210

[State 3201, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3220

;---------------------------------------------------------------------------
;Scarlet Mirage Landing
[Statedef 3220]
type    = A
movetype = A
physics = N
anim = 1410

[State 3120, Juggle]
Type = VarSet
trigger1 = time = 0
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3120, Gravity]
Type = Gravity
trigger1 = 1

[State 3120, Chain]
type = VarSet
trigger1 = Time = 0
var(50) = 0

[State 3120, PosSet]
Type = PosSet
trigger1 = pos y >= 0
y = 0

[State 3120, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3120, ChangeState]
Type = ChangeState
trigger1 = pos y >= 0
value = 3125

;---------------------------------------------------------------------------
;Scarlet Mirage Land
[Statedef 3125]
type = S
movetype = A
physics = S
velset = 0,0
anim = 11

[State 3200, AfterImagetime]
Type = AfterImageTime
trigger1 = time = 0
time = 2

[State 3205, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3205, ChangeState]
Type = ChangeState
trigger1 = time = 25
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Flying Red Impact Start
[StateDef 3300]
Type = C
movetype = A
Physics = C
ctrl = 0
anim = 430
velset = 0,0

[State 3300, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 3300,0
channel = 0

[State 3300, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3300, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -3000

[State 3300, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3300, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(51) < 5
v = 51
value = 5
ignorehitpause = 1
persistent = 0

[State 3300, Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 3300, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3300, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 30
anim = 100
pos = 2, -28
movetime = 2
sound = 20, 0
p2defmul = 1

[State 3300, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 30

[State 3300, VelSet]
Type = VelSet
trigger1 = animelemtime(2) >= 0
trigger1 = animelemtime(3) < 0
x = 3.4

[State 3300, HitDef]
Type = HitDef
triggerall = var(47) >= 0
trigger1 = animelem = 2
type = HitDef
attr = C, HA
damage = Floor((4 + (Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Heavy
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 6, 10
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -22
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 25
ground.slidetime = 25
ground.velocity = -1.5, -7.6
guard.velocity = 0
air.velocity = -1.79407, -8.50000
fall = 1
air.hittime = 30
air.type = High
getpower = 0, 0
givepower = 20, 30
air.fall = 1
ground.cornerpush.veloff = 0

[State 3300, I Hit]
Type = ChangeState
trigger1 = movecontact
value = 3320

[State 3300, I missed]
Type = ChangeState
trigger1 = animtime = 0
value = 3360

;---------------------------------------------------------------------------
;Shippuujinrai Kyaku Jump.
[Statedef 3320]
type    = A
movetype= A
physics = N
velset = 1.5,-6
ctrl = 0
anim = 1400

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3320, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1200,0
channel = 0

[State 3320, Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 3320, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3320, Width]
Type = Width
trigger1 = 1
player = 6, 20

[State 3320, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3320, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 3

[State 3320, Gravity]
Type = Gravity
trigger1 = 1

[State 3320, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 10

[State 3320, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = animelemtime(2) = 0
trigger2 = animelemtime(3) = 0
attr = A, HA
damage = Floor((3 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 10
guard.pausetime = 8,10
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -28
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = 0, -9.200000
guard.velocity = -3.12097
air.velocity = 0, -9.200000
air.hittime = 30
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 1
air.fall = 1
ground.cornerpush.veloff = 0

[State 3320, TargetVelSet]
Type = TargetVelSet
trigger1 = movehit = 5
x = (Target, pos X/32.0) * facing 
y = -8.4
ignorehitpause = 1

[State 3320, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 3320, ChangeState]
type = ChangeState
trigger1 = animtime = 0
value = 3330

;---------------------------------------------------------------------------
;Tsu Maki Sempu Kyako Landing
[Statedef 3330]
type    = A
movetype = A
physics = N
anim = 1410

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1410, Gravity]
Type = Gravity
trigger1 = 1

[State 1410, Chain]
type = VarSet
trigger1 = Time = 0
var(50) = 0

[State 1410, PosSet]
Type = PosSet
trigger1 = pos y >= 0
y = 0

[State 1410, ChangeState]
Type = ChangeState
trigger1 = pos y >= 0
trigger1 = numtarget > 0
trigger1 = target, stateno >= 5000
value = 3340

[State 1410, ChangeState]
Type = ChangeState
trigger1 = pos y >= 0
value = 3360

;---------------------------------------------------------------------------
;Sky High Claw (Jump Towards wall)
[Statedef 3340]
Type = A
movetype = A
physics = A
ctrl = 0
anim = 44

[State 3340]
Type = PlayerPush
trigger1 = time = 0
value = 0

[State 3370, ScreenBound]
Type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0

[State 3340, Helper]
Type = Helper
trigger1 = time = 0
id = 3300
name = "Camera"
pos = 160,0
postype = Left 
stateno = 3370

[State 1005, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1005, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000, 1
channel = 0

[State 1005, VelSet]
Type = VelSet
trigger1 = time = 0
x = ifelse(frontedgedist < backedgedist, frontedgedist/6.5, backedgedist/-6.5)
y = -8.7

[State 1305, ChangeState]
Type = ChangeState
triggerall = pos y < -60
trigger1 = vel x > 0
trigger1 = frontedgedist < 10
trigger2 = vel x < 0
trigger2 = backedgedist < 10
value = 3346

;---------------------------------------------------------------------------
;Sky High Claw (Wall bounce)
[Statedef 3346]
Type = A
movetype = A
physics = N
ctrl = 0
anim = 1000

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3370, ScreenBound]
Type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0

[State 1006, Turn]
Type = Turn
trigger1 = time = 0
trigger1 = var(43) = 0
trigger1 = frontedgedist < 10
trigger2 = time = 0
trigger2 = var(43) > 0

[State 3346, velSet]
Type = VelSet
trigger1 = time = 0
x = 0
y = 0

[State 1006, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = SCA
time = 5

[State 1006, VarSet]
Type = VarSet
trigger1 = var(43) = 0
var(43) = 6

[State 1006, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3350

;---------------------------------------------------------------------------
;Sky High Claw (Jump Towards Opponent)
[Statedef 3350]
Type = A
movetype = A
physics = N
ctrl = 0
anim = 1300

[State 1300, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1300, VelSet]
Type = VelSet
trigger1 = time = 0
x = 9.5
y = 0

[State 3370, ScreenBound]
Type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0

[State 1005, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
trigger1 = var(43) % 2
value = 1300, 0
channel = 0

[State 3350, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 1020, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = time = 0
attr = A, HA
damage = Floor((8 + 2 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 28 + 36 * (var(43) > 1)
guard.pausetime = 4, 28 + 36 * (var(43) > 1)
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -38
id = 3300
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.15282, -4.700000
guard.velocity = -3.12097
air.velocity = -2.15282, -6.000000
air.hittime = 40
air.type = Low
getpower = 0, 0
givepower = 20, 30
fall = 1
air.fall = 1
ground.cornerpush.veloff = 0

[State 1020, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 1020, Juggle]
Type = VarSet
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
trigger1 = var(43) = 1
v = 47
value = -1
;persistent = 0
ignorehitpause = 1

[State 3350, ChangeState]
Type = ChangeState
trigger1 = time > 3
trigger1 = frontedgebodydist < 10
trigger1 = var(43) := var(43) - 1
value = 3346

[State 3350, ChangeState]
Type = ChangeState
trigger1 = time > 3
trigger1 = frontedgebodydist < 10
trigger1 = var(43) = 0
value = 3354

;---------------------------------------------------------------------------
;Sky High Claw (Wall bounce)
[Statedef 3354]
Type = A
movetype = A
physics = N
ctrl = 0
anim = 1000

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3370, ScreenBound]
Type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0

[State 1006, Turn]
Type = Turn
trigger1 = time = 0

[State 3346, velSet]
Type = VelSet
trigger1 = time = 0
x = 0
y = 0

[State 1006, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = SCA
time = 5

[State 3346, velSet]
Type = VelSet
trigger1 = animtime = 0
x = 6.3
y = -5.2

[State 1006, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3355

;---------------------------------------------------------------------------
;Flying Barcelona Attack Izuna Drop
[Statedef 3355]
type    = A
movetype = A
physics = N
anim = 1410

[State 1040, Gravity]
Type = Gravity
trigger1 = 1

[State 1040, Chain]
type = VarSet
trigger1 = Time = 0
var(50) = 0

[State 1040, PosSet]
Type = PosSet
trigger1 = pos y >= 0
y = 0

[State 1040, ChangeState]
Type = ChangeState
trigger1 = numTarget(3300)
trigger1 = time = 16
value = 3356

[State 1040, ChangeState]
Type = ChangeState
trigger1 = pos y >= 0
value = 3360

;---------------------------------------------------------------------------
;Flying Izuna Drop Hit
[Statedef 3356]
Type = A
movetype = A
physics = N
velset = 0,0
ctrl = 0
anim = 1210

[State 3031, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3035

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1200,0
channel = 0

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3031, SprPriority]
type = SprPriority
trigger1 = AnimElem =1
value = 2

[State 3031, Bind 1]
type = TargetBind
trigger1 = AnimElemtime(2) < 0
pos = 28, -10

[State 3031, Bind 2]
type = TargetBind
trigger1 = AnimElemtime(2) >= 0
trigger1 = AnimElemtime(3) < 0
pos = -15, -67

[State 3031, Bind 3]
type = TargetBind
trigger1 = AnimElemtime(3) >= 0
trigger1 = AnimElemtime(4) < 0
pos = -32, -10

[State 3031, Bind 4]
type = TargetBind
trigger1 = AnimElemtime(4) >= 0
pos = 3, 0

[State 3031, Gravity]
Type = Gravity
trigger1 = AnimElemtime(4) >= 0

[State 3031, ChangeState] 
Type = ChangeState
trigger1 = pos y >= 0
trigger1 = animelemtime(4) >= 0
value = 3357

;---------------------------------------------------------------------------
;Flying Izuna Drop Land
[Statedef 3357]
Type = A
movetype = A
physics = N
velset = 0,0
ctrl = 0
anim = 1211

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3031, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 3356, HitAdd]
Type = HitAdd
trigger1 = time = 0
value = 1

[State 3031, SprPriority]
type = SprPriority
trigger1 = time = 1
value = 2

[State 3031, Bind 5]
type = TargetBind
trigger1 = time = 0
pos = 12, -2

[State 3031, That Hurts]
type = TargetLifeAdd
trigger1 = time = 0
value = -Floor((24 + (Random/1000.0)* 3) * Fvar(28) + 0.5)

[State 3031, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3036

[State 822, 8]
type = Explod
trigger1 = animelemtime(3) = 0
anim = f61
pos = 12, 0

[State 3031, EnvShake]
Type = EnvShake
trigger1 = time = 0
time = 30

[State 3031, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = F5,4
channel = 1

[State 3031, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3360

;---------------------------------------------------------------------------
;Flying Barcelona Attack Land
[Statedef 3360]
type = S
movetype = A
physics = S
velset = 0,0
anim = 11

[State 1230, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1230, ChangeState]
Type = ChangeState
trigger1 = time = 18
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Flying Barcelona Attack Land
[Statedef 3370]
type = A
movetype = I
physics = N
velset = 0,0
anim = 4000

[State 3370, ScreenBound]
Type = ScreenBound
trigger1 = 1
value = 1
movecamera = 10,10

[State 3370, DestroySelf]
Type = DestroySelf
trigger1 = parent, stateno != [3300,3360)

;---------------------------------------------------------------------------
; Special Shake Fall State
[Statedef 5021]
type    = A
movetype= H
physics = N
velset = 0,0

[State 5020, 2] ;Anim for HIT_BACK
type = ChangeAnim
trigger1 = Time = 0
value = 5030

[State 5020, 4] ;Freeze anim
type = ChangeAnim
trigger1 = Time > 0
value = anim

[State 5020, 5]
type = ChangeState
trigger1 = HitShakeOver
value = 5031

;---------------------------------------------------------------------------
; Special Fall State
[Statedef 5031]
type    = A
movetype= H
physics = N
ctrl = 0
velset = -5,-4.5

[State 5030, 1]
type = VelAdd;Gravity
trigger1 = 1
y = GetHitVar(yaccel)

[State 5030, 4]
type = SelfState
triggerall = HitFall
trigger1 = HitOver
trigger2 = Vel Y > 0    ;Hit ground
trigger2 = Pos Y >= 10  ;.
value = 5050 ;HITA_FALL

[State 5030, 5]
type = SelfState
trigger1 = AnimTime = 0
value = 5035 ;HITA_UP (transition)