;===========================================================================
;Special.St

;---------------------------------------------------------------------------
; Rolling Attack
[Statedef 1000]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 1000
poweradd = 100

[State 1000, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1000, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
sprpriority = 3
persistent = 0

[State 1000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1000, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1005
ctrl = 1

;---------------------------------------------------------------------------
; Rolling attack Fly
[Statedef 1005]
type    = A
movetype= A
physics = N
velset = 3 + (var(50) * 1.5)
anim = 1000 + (10 * var(50))
ctrl = 0
poweradd = 0

[State 1005, PosAdd]
Type = PosAdd
trigger1 = time = 0
y = -7

[State 1005, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 0
channel = 0

[State 1005, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 1
channel = 1

[State 1005, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1005, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 1

[State 1005, HitDef]
type = HitDef
triggerall = (Var(47) >= 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((12 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -3.42721, -6.5 * (var(49) <= 0)
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = (var(49) <= 0)
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1005, HitDef]
type = HitDef
triggerall = (Var(47) < 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((12 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -3.42721, -6.5 * (var(49) <= 0)
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = (var(49) <= 0)
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarSet
triggerall = NumTarget > 0
trigger1 = Target, stateno = 5030
trigger1 = Target, time = 0
trigger2 = Target, stateno = 5020
trigger2 = Target, time = 0
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = movecontact
value = 1010

[State 1005, ChangeState]
Type = ChangeState
trigger1 = time = 15 + 15 * var(50)
trigger2 = time > 10
trigger2 = FrontEdgeBodyDist < 5
value = 1020
ctrl = 1

;---------------------------------------------------------------------------
;Rolling attack Contact
[Statedef 1010]
type    = A
movetype= A
physics = N
ctrl = 0

[State 1010, VelSet]
Type = VelSet
trigger1 = time = 0
x = -(vel x/4.0)
y = -5.5

[State 1010, Gravity]
Type = Gravity
trigger1 = 1

[State 1010, Combo Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1010, ChangeState]
Type = ChangeState
trigger1 = pos y > -1
trigger1 = time > 0
value = 1020

;---------------------------------------------------------------------------
;Rolling attack Land
[Statedef 1020]
type    = C
movetype= A
physics = C
velset = 0,0
ctrl = 0
anim = 1030

[State 1020, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 1020, Combo Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(2) > 10
var(55) = 0

[State 1020, Combo Flag]
Type = VarSet
trigger1 = animelemtime(2) > 1
var(55) = 28672

[State 1020, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Eletric Eels start
[Statedef 1100]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 1100
poweradd = 100

[State 1105, Explod]
Type = Explod
trigger1 = numexplod(1105) = 0
id = 1105
anim = 1101
pos = 3, -15
sprpriority = 3
removeongethit = 1

[State 1100, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1100,0
channel = 0

[State 1100, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 5

[State 1100, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1100, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1100, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1100, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1100, ChangeState]
type = ChangeState
trigger1 = animtime = 0
value = 1105

;---------------------------------------------------------------------------
; Eletric Eel burst
[Statedef 1105]
type    = C
movetype= A
physics = N
velset = 0
anim = 1100
ctrl = 0
poweradd = 0

[State 1105, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 20 + 20 * (var(50))

[State 1105, Explod]
Type = Explod
trigger1 = numexplod(1105) = 0
id = 1105
anim = 1102
pos = 3, -15
sprpriority = 3
removeongethit = 1

[State 1105, PlaySnd]
Type = PlaySnd
trigger1 = !(time % 18)
value = 1100, 1
channel = 1
ignorehitpause = 1

[State 1105, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 25
var(55) = 0

[State 1105, Chain]
Type = VarSet
trigger1 = time = 10
var(55) = 32384

[State 1105, HitDef]
type = HitDef
trigger1 = (Var(47) >= 8)
trigger1 = !(movecontact % 5)
attr = C, SA
damage = Floor((7 + 3 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,11
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -48
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.66730, -4.50000
air.velocity = -2.62721, -4.50000
air.hittime = 60
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = 1
air.fall = 1
ground.cornerpush.veloff = -2.6
palfx.time = 40
palfx.add = 144, 144, 160
palfx.mul = 128, 128, 144
palfx.sinadd = 16, 32, 64, 15
palfx.color = 32

[State 1105, HitDef]
type = HitDef
trigger1 = (Var(47) < 8)
trigger1 = !(movecontact % 5)
attr = C, SA
damage = Floor((7 + 3 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,11
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -48
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.66730, -4.50000
air.velocity = -2.62721, -4.50000
air.hittime = 60
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = 1
air.fall = 1
ground.cornerpush.veloff = -2.6
palfx.time = 40
palfx.add = 144, 144, 160
palfx.mul = 128, 128, 144
palfx.sinadd = 16, 32, 64, 15
palfx.color = 32

[State 1150, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1105, Juggle]
Type = VarAdd
trigger1 = movehit
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 1105, ChangeState]
Type = ChangeState
trigger1 = var(43) = 0
value = 1110

[State 1105, TimeDec]
Type = VarAdd
trigger1 = 1
v = 43
value = -1

;---------------------------------------------------------------------------
; Eletric Eel End
[Statedef 1110]
type    = C
movetype= A
physics = N
anim = 1110
ctrl = 0
poweradd = 0

[State 1105, Explod]
Type = Explod
trigger1 = time = 0
id = 1105
anim = 1103
pos = 3, -15
sprpriority = 3
removeongethit = 1

[State 1110, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Spinning Pile Drive (Start)
[Statedef 1200]
Type = S
movetype = A
Physics = N
velset = 0,0
anim = 1200
ctrl = 0
poweradd = 200

[State 1200, Don't move]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1200, Width]
Type = Width
trigger1 = 1
player = 0,0

[State 1200, HitDef]
Type = HitDef
trigger1 = time = 0
trigger1 = enemynear, stateno != [150, 153]
attr = S, ST
guardflag =
hitflag = M
guard.dist = -1
priority = 4, Miss
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -40
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 1220
p1stateno = 1210
fall = 1
;hitsound = 5,0

[State 1200, ChangeState]
Type = ChangeState
trigger1 = MoveHit
value = 801

[State 1200, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1205

;---------------------------------------------------------------------------
;Spinning Pile Drive (Miss)
[Statedef 1205]
Type = S
movetype = I
velset = 0,0
Physics = N
anim = 1205

[State 1205, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1200, 1
channel = 0


[State 1205, Don't move]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1205, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Spinning Pile Drive (Hit)
[Statedef 1210]
Type = S
movetype = A
velset = 0,0
Physics = N
anim = 1210
poweradd = 50

[State 1210, No Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 1210, No Juggle]
Type = VarSet
trigger1 = 1
var(47) = -1

[State 1210, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 1210, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 1200, 0
channel = 0

[State 1210, TargetBind]
Type = TargetBind
trigger1 = animelemtime(2) < 0
trigger1 = animelemtime(1) >= 0
pos = 16, 0

[State 1210, StateTypeSet]
Type = StateTypeSet
trigger1 = animelemtime(2) = 0
statetype = A

[State 1210, VelSet]
Type = VelSet
trigger1 = animelemtime(2) = 0
y = -6.6
x = -0.5

[State 1210, Gravity]
Type = VelAdd
trigger1 = animelemtime(2) > 0
y = 0.147

[State 1210, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(2) >= 0
pos = 25, -(Target, const(size.height) + Target, const(size.head.pos.y)) - 20

[State 1210, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1211

;---------------------------------------------------------------------------
;Spinning Pile Drive (Spinning Down!)
[Statedef 1211]
Type = A
movetype = A
Physics = N
anim = 1211

[State 1211, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 0

[State 1211, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 1211, TargetState]
Type = TargetState
trigger1 = time = 0
value = 1221

[State 1210, Gravity]
Type = VelAdd
trigger1 = 1
y = 0.147

[State 1211, TargetBind 1]
Type = TargetBind
trigger1 = animelemtime(1) >= 0
trigger1 = animelemtime(2) < 0
trigger2 = animelemtime(4) >= 0
trigger2 = animelemtime(5) < 0
trigger3 = animelemtime(7) >= 0
trigger3 = animelemtime(8) < 0
trigger4 = animelemtime(10) >= 0
trigger4 = animelemtime(11) < 0
trigger5 = animelemtime(13) >= 0
trigger5 = animelemtime(14) < 0
pos = 15, -62

[State 1211, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(2) >= 0
trigger1 = animelemtime(3) < 0
trigger2 = animelemtime(5) >= 0
trigger2 = animelemtime(6) < 0
trigger3 = animelemtime(8) >= 0
trigger3 = animelemtime(9) < 0
trigger4 = animelemtime(11) >= 0
trigger4 = animelemtime(12) < 0
trigger5 = animelemtime(14) >= 0
trigger5 = animelemtime(15) < 0
pos = -9, -62

[State 1211, TargetBind 3]
Type = TargetBind
trigger1 = animelemtime(3) >= 0
trigger1 = animelemtime(4) < 0
trigger2 = animelemtime(6) >= 0
trigger2 = animelemtime(7) < 0
trigger3 = animelemtime(9) >= 0
trigger3 = animelemtime(10) < 0
trigger4 = animelemtime(12) >= 0
trigger4 = animelemtime(13) < 0
trigger5 = animelemtime(15) >= 0
pos = 0, -52

[State 1211, SprPriority]
Type = SprPriority
trigger1 = animelemtime(3) >= 0
trigger1 = animelemtime(4) < 0
trigger2 = animelemtime(6) >= 0
trigger2 = animelemtime(7) < 0
trigger3 = animelemtime(9) >= 0
trigger3 = animelemtime(10) < 0
trigger4 = animelemtime(12) >= 0
trigger4 = animelemtime(13) < 0
trigger5 = animelemtime(15) >= 0
value = 0

[State 1211, SprPriority]
Type = SprPriority
trigger1 = animelemtime(4) >= 0
trigger1 = animelemtime(5) < 0
trigger2 = animelemtime(7) >= 0
trigger2 = animelemtime(8) < 0
trigger3 = animelemtime(10) >= 0
trigger3 = animelemtime(11) < 0
trigger4 = animelemtime(13) >= 0
trigger4 = animelemtime(14) < 0
trigger5 = animtime = 0
value = 2

[State 1211, Explod]
Type = Explod
trigger1 = animelem = 3
trigger2 = animelem = 6
trigger3 = animelem = 9
trigger4 = animelem = 12
trigger5 = animelem = 15
anim = 1213
pos = -20, -73
removetime = 5 - var(43)
bindtime = -1
sprpriority = 3

[State 1211, VarAdd]
Type = VarAdd
trigger1 = animelemtime(3) = 0
trigger2 = animelemtime(6) = 0
trigger3 = animelemtime(9) = 0
trigger4 = animelemtime(12)= 0
trigger5 = animelemtime(15)= 0
v = 43
value = 1

[State 1211, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 1
trigger2 = animelem = 4
trigger3 = animelem = 7
trigger4 = animelem = 10
trigger5 = animelem = 13
value = 1200, 2

[State 1211, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger2 = pos y > 0
value = 1212

;---------------------------------------------------------------------------
;Spinning Pile Drive (Landing!)
[Statedef 1212]
Type = C
movetype = A
velset = 0,0
Physics = N
anim = 1212

[State 1212, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 1212, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 0

[State 1212, TargetState]
Type = TargetState
trigger1 = time = 0
value = 1222

[State 1212, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 1212, TargetBind]
Type = TargetBind
trigger1 = animelemtime(1) < 14
pos = 7, -10

[State 1212, TargetLifeAdd]
Type = TargetLifeAdd
trigger1 = time = 0
value = -Floor((27 + (Random/1000.0)* 6) * Fvar(28) + 0.5)

[State 1212, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = F7,2
channel = 2

[State 1212, EnvShake]
Type = EnvShake
trigger1 = time = 0
time = 30

[State 1212, Explod]
Type = Explod
trigger1 = time = 0
anim = F60
pos = 0, 0
pausemovetime = 4

[State 1212, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1213

;---------------------------------------------------------------------------
; Hop back from SPD
[Statedef 1213]
type    = A
physics = A
ctrl = 0
anim = 105
sprpriority = 1

[State 105, Moveability]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 105, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 105, 1]
type = VelSet
trigger1 = Time = 0
x = -1.7
y = -4.2

[State 105, 2]
type = CtrlSet
trigger1 = Time = 2
value = 1

[State 105, 3]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 106

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Start)
[StateDef 1220]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 1220, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 1220

[State 811, VelSet]
Type = VelSet
trigger1 = !GetHitVar(IsBound)
x = -3
y = -4.5

[State 811, 6]
Type = SelfState
trigger1 = animtime = 0
trigger2 = !GetHitVar(IsBound)
value = 5050

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Going Down)
[StateDef 1221]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 1220, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 1221

[State 811, VelSet]
Type = VelSet
trigger1 = !GetHitVar(IsBound)
x = -3
y = -4.5

[State 811, 6]
Type = SelfState
trigger1 = animtime = 0
trigger2 = !GetHitVar(IsBound)
value = 5050

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Land)
[StateDef 1222]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 1220, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 1222

[State 811, VelSet]
Type = VelSet
trigger1 = !GetHitVar(IsBound)
trigger2 = animtime = 0
x = -1.7
y = -4.5

[State 811, 6]
Type = SelfState
trigger1 = animtime = 0
trigger2 = !GetHitVar(IsBound)
value = 5050

;---------------------------------------------------------------------------
;Vertical Rolling Attack
[Statedef 1300]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 1000
poweradd = 100

[State 1300, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1300, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1300, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1300, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
sprpriority = 3
persistent = 0

[State 1300, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1300, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1305
ctrl = 1

;---------------------------------------------------------------------------
;Vertical Rolling attack Fly
[Statedef 1305]
type    = A
movetype= A
physics = N
velset = 4.5 + (var(50) * 1.5), -6.5
anim = 1300 + (10 * var(50))
ctrl = 0
poweradd = 0

[State 1005, PosAdd]
Type = PosAdd
trigger1 = time = 0
y = -7

[State 1005, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 0
channel = 0

[State 1005, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 1
channel = 1

[State 1005, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1005, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 1

[State 1305, Gravity]
Type = VelAdd
trigger1 = 1
y = 0.33

[State 1305, Friction]
Type = VelMul
trigger1 = 1
x = 0.90

[State 1405, Width]
Type = Width
trigger1 = vel y > 0
player = 8, 15

[State 1005, HitDef]
type = HitDef
triggerall = (Var(47) >= 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((10 + 3 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 25
ground.slidetime = 25
ground.velocity = -3.42721, -6.5 * (var(49) <= 0)
guard.velocity = -4.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = (var(49) <= 0)
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1005, HitDef]
type = HitDef
triggerall = (Var(47) < 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((10 + 3 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 25
ground.slidetime = 25
ground.velocity = -3.42721, -6.5 * (var(49) <= 0)
guard.velocity = -4.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 30, 45
givepower = 20, 30
air.fall = 1
fall.recover = 0
fall = (var(49) <= 0)
air.fall = 1
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarSet
triggerall = NumTarget > 0
trigger1 = Target, stateno = 5030
trigger1 = Target, time = 0
trigger2 = Target, stateno = 5020
trigger2 = Target, time = 0
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 1305, Pos Y]
Type = PosSet
trigger1 = time > 0
trigger1 = pos y >=0
y = 0

[State 1005, ChangeState]
Type = ChangeState
trigger1 = time > 0
trigger1 = pos y >= 0
value = 1320

;---------------------------------------------------------------------------
;Rolling attack Land
[Statedef 1320]
type    = C
movetype= A
physics = C
velset = 0,0
ctrl = 0
anim = 1030

[State 1020, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 1020, Combo Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(2) > 10
var(55) = 0

[State 1020, Combo Flag]
Type = VarSet
trigger1 = animelemtime(2) > 1
var(55) = 63360

[State 1020, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Beast Leap Start
[StateDef 1400]
Type = S
movetype = A
Physics = N
ctrl = 0
anim = 1400
velset = 0,0
poweradd = 100

[State 1300, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1400, 0
channel = 0

[State 1300, Combo Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1300, PosAdd]
Type = VelSet
trigger1 = animelem = 2
x = -1.4

[State 1300, VelSet]
Type = Velmul
trigger1 = animelemtime(3) >= 0
x = 0.80

[State 1400, NotHitBy]
Type = NotHitBy
trigger1 = animelemtime(4) < 0
value = SCA

[State 1400, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1405

;---------------------------------------------------------------------------
;Beast Leap attack
[Statedef 1405]
type    = A
movetype= A
physics = N
velset = 2 + ((var(50)-1) * 4), -6.5 + (2.5 * (var(50) - 1))
anim = 1300 + (10 * var(50))
ctrl = 0
poweradd = 0

[State 1405, PosAdd]
Type = PosAdd
trigger1 = time = 0
y = -7

[State 1405, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 0
channel = 0

[State 1405, Width]
Type = Width
trigger1 = 1
player = 8, 23

[State 1405, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 1
channel = 1

[State 1405, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1405, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 1

[State 1405, Gravity]
Type = VelAdd
trigger1 = 1
y = 0.33

[State 1405, HitDef]
type = HitDef
triggerall = (Var(47) >= 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((10 + 3 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 25
ground.slidetime = 25
ground.velocity = -3.42721, -6.5 * (var(49) <= 0)
guard.velocity = -4.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = (var(49) <= 0)
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1405, HitDef]
type = HitDef
triggerall = (Var(47) < 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((10 + 3 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 25
ground.slidetime = 25
ground.velocity = -3.42721, -6.5 * (var(49) <= 0)
guard.velocity = -4.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = (var(49) <= 0)
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1405, Juggle]
Type = VarAdd
triggerall = NumTarget > 0
trigger1 = Target, stateno = 5030
trigger1 = Target, time = 0
trigger2 = Target, stateno = 5020
trigger2 = Target, time = 0
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 1405, Pos Y]
Type = PosSet
trigger1 = time > 0
trigger1 = pos y >=0
y = 0

[State 1405, ChangeState]
Type = ChangeState
trigger1 = time > 0
trigger1 = pos y >= 0
value = 1420

;---------------------------------------------------------------------------
;Beast Leap Land
[Statedef 1420]
type    = C
movetype= A
physics = C
velset = 0,0
ctrl = 0
anim = 11

[State 1020, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 1020, Combo Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 15
var(55) = 0

[State 1020, Combo Flag]
Type = VarSet
trigger1 = time = 1
var(55) = 29440

[State 1020, ChangeState]
Type = ChangeState
trigger1 = time = 20
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Grand Shave Roll
[Statedef 3000]
type    = C
movetype= A
physics = C
velset = 0,0
ctrl = 0
anim = 11

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000,0
channel = 0

[State 3000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3000, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3000, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3000, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3000, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3000, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3000, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = 5, -20
movetime = 4
sound = 20, 0
p2defmul = 1

[State 3000, ChangeState]
Type = ChangeState
trigger1 = time = 10
value = 3010

;---------------------------------------------------------------------------
;Grand Shave Part 01
[Statedef 3010]
type    = A
movetype= A
physics = N
velset = 0,0
ctrl = 0
anim = 3000

[State 3010, VelSet]
Type = VelSet
trigger1 = time = 0
y = -4.5
x = 0.7

[State 3000, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3010, Gravity]
Type = Gravity
trigger1 = 1

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3010, HitDelf]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = time = 0
attr = A, HA
damage = Floor((8 + 3 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -3.42721, 0
guard.velocity = -4.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3010, HitDelf]
type = HitDef
triggerall = (Var(47) < 0)
trigger1 = time = 0
attr = A, HA
damage = Floor((8 + 3 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -3.42721, 0
guard.velocity = -4.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3010, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3010, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = target, statetype = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3010, Pos Y]
Type = PosSet
trigger1 = time > 0
trigger1 = pos y >=0
y = var(37) := 0

[State 3010, ChangeState]
Type = ChangeState
trigger1 = time > 0
trigger1 = pos y >= 0
value = 3020

;---------------------------------------------------------------------------
;Grand Shave Roll (Cont)
[Statedef 3020]
type    = C
movetype= A
physics = N
velset = 0,0
ctrl = var(39) := 0

[State 3020, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 3020, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3020, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 60

[State 3020, VarSet]
Type = VarSet
trigger1 = command != "holdpunch"
var(43) = 0

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = var(43) = 0
trigger1 = vel x = 0
value = 1000,0
channel = 0

[State 3020, VelSet]
Type = VelSet
trigger1 = var(43) = 0
trigger1 = vel x = 0
trigger1 = var(39) := time
x = 6

[State 3040, ChainFlag]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 10 + var(39)
var(55) = 0

[State 3030, ChainFlag]
Type = VarSet
trigger1 = time = 10
var(55) = 24576

[State 3010, HitDelf]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = !(movecontact % 3)
attr = C, HA
damage = Floor(((28 + 5 * (Random/1000.0)) * (hitcount = 0) + 1.5) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAFD
priority = 4, Hit
pausetime = 4, 6
guard.pausetime = 4,5
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -1.42721, -6.5
guard.velocity = -4.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 1
fall.recover = 0
ground.cornerpush.veloff = -4.5 * (var(43) > 0)

[State 3010, HitDelf]
type = HitDef
triggerall = (Var(47) < 0)
trigger1 = !(movecontact % 3)
attr = C, HA
damage = Floor(((23 + 5 * (Random/1000.0)) * (hitcount = 0) + 1) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 4, 6
guard.pausetime = 4,5
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -1.42721, -6.5
guard.velocity = -4.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 1
fall.recover = 0
ground.cornerpush.veloff = -4.5 * (var(43) > 0)

[State 3010, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3010, Juggle]
Type = VarAdd
trigger1 = HitCount > Var(37)
v = 47
value = -2
ignorehitpause = 1

[State 3010, VarAdd]
Type = VarAdd
trigger1 = 1
v = 43
value = -1

[State 3010, VarAdd]
Type = VarAdd
trigger1 = vel x = 0
v = 39
value = 1

[State 3010, VarSet]
Type = VarSet
trigger1 = 1
var(37) = hitcount
ignorehitpause = 1

[State 3010, ChangeState]
Type = ChangeState
trigger1 = time = 60 + var(39)
value = 3040

;---------------------------------------------------------------------------
;Grand Shave Roll (End)
[Statedef 3040]
type    = C
movetype= A
physics = N
velset = 0,0
ctrl = 0
anim = 11

[State 3040, AfterImagetime]
Type = AfterImageTime
trigger1 = time = 0
time = 15

[State 3040, Don't move]
Type = VarSet
trigger1 = time = 15
var(55) = 0

[State 3040, ChainFlag]
Type = VarSet
trigger1 = time = 0
var(55) = 24576

[State 3040, ChangeState]
Type = ChangeState
trigger1 = time = 25
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Shall We Dance (Start)
[StateDef 3100]
Type = S
movetype= A
Physics = N
velset = 0,0
anim = 3100
ctrl = 0

[State 3100, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1100,0
channel = 0

[State 3100, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3100, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3100, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3100, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3100, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3100, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3100, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = 5, -38
movetime = 7
sound = 20, 0
p2defmul = 1

[State 3100, HitDef 1]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = time = 0
attr = S, HA
damage = Floor((4 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 7, 8
guard.pausetime = 7,8
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -42
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721, 0
guard.velocity = -0.42721
air.velocity = -0.82721, -3
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3100, HitDef 2]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = animelem = 5
attr = S, HA
damage = Floor((4 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 7, 8
guard.pausetime = 7,8
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -42
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721, 0
guard.velocity = -0.42721
air.velocity = -0.82721, -3
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3100, HitDef 2]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = animelem = 9
attr = S, HA
damage = Floor((4 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 7, 8
guard.pausetime = 7,8
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -30
hitsound = 5, 1
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721, 0
guard.velocity = -0.42721
air.velocity = -0.82721, -3
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3010, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3010, Juggle]
Type = VarAdd
triggerall = NumTarget > 0
trigger1 = Target, time = 0
trigger1 = Target, stateno = 5000
trigger2 = Target, stateno = 5030
trigger2 = Target, time = 0
trigger3 = Target, stateno = 5020
trigger3 = Target, time = 0
trigger4 = Target, stateno = 5010
trigger4 = Target, time = 0
trigger5 = Target, stateno = [150, 155]
trigger5 = Target, time = 0
v = 47
value = -1
ignorehitpause = 1

[State 3100, ChangeState]
Type = ChangeState
trigger1 = animelem = 10
value = 3101

;---------------------------------------------------------------------------
;Shall We Dance (Second wave)
[StateDef 3101]
Type = S
movetype= A
Physics = N
velset = 0,0

[State 3100, Chain Flag]
Type = VarSet
trigger1 = animelem = 16
var(55) = 20480
ignorehitpause = 1

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3100, HitDef 1]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = animelem = 13
attr = S, HA
damage = Floor((4 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 7, 8
guard.pausetime = 7,8
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -10
hitsound = 5, 1
guardsound = 6, 0
ground.type = low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721, 0
guard.velocity = -0.42721
air.velocity = -0.82721, -3
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3100, HitDef 2]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = animelem = 15
attr = S, HA
damage = Floor((4 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 7, 8
guard.pausetime = 7,8
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -10
hitsound = 5, 2
guardsound = 6, 0
ground.type = low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721, 0
guard.velocity = -0.42721
air.velocity = -0.82721, -3
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3100, HitDef 2]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = animelem = 17
attr = S, HA
damage = Floor((4 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 7, 8
guard.pausetime = 7,8
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -10
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721, 0
guard.velocity = -0.42721
air.velocity = -0.82721, -3
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3100, PlaySnd]
Type = PlaySnd
trigger1 = AnimElem = 20, 1
value = 210,0
channel = 0

[State 3100, HitDef 3]
type = HitDef
trigger1 = AnimElem = 20, 1
attr = C, HA
damage = Floor((4 + (Random/1000.0) * 3) * Fvar(28) + 0.5), floor(3 * fvar(28) + 0.5)
animtype = Heavy
air.animtype = Up
guardflag = M
hitflag = MAF
priority = 5, Hit
pausetime = 12, 12
sparkno = 2
guard.sparkno = 0
sparkxy = 0, -33
hitsound = 5, 1
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.72108, 0.00000
air.velocity = -0.50292, -5.50000
air.hittime = 36
air.type = Low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3010, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3010, Juggle]
Type = VarAdd
triggerall = NumTarget > 0
trigger1 = Target, time = 0
trigger1 = Target, stateno = 5000
trigger2 = Target, stateno = 5030
trigger2 = Target, time = 0
trigger3 = Target, stateno = 5020
trigger3 = Target, time = 0
trigger4 = Target, stateno = 5010
trigger4 = Target, time = 0
trigger5 = Target, stateno = [150, 155]
trigger5 = Target, time = 0
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3101, Final blow]
Type = ChangeState
trigger1 = animelem = 22
value = 3102

;---------------------------------------------------------------------------
;Shall We Dance (Last Wave wave)
[StateDef 3102]
Type = S
movetype= A
Physics = N
velset = 0,0

[State 3100, Chain Flag]
Type = VarSet
trigger1 = animelem = 26
var(55) = 0
ignorehitpause = 1

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3100, PlaySnd]
Type = PlaySnd
trigger1 = AnimElem = 23
value = 220,0
channel = 0

[State 3100, HitDef 1]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = animelem = 23
attr = S, HA
damage = Floor((12 + (Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 18, 18
guard.pausetime = 18,18
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -40
hitsound = 5, 1
guardsound = 6, 0
ground.type = high
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -2.42721, -8.5
guard.velocity = -3.42721
air.velocity = -2.82721, -8.5
fall = 1
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 30
envshake.freq = 30
envshake.ampl = -15


[State 3010, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3010, Juggle]
Type = VarAdd
triggerall = NumTarget > 0
trigger1 = Target, time = 0
trigger1 = Target, stateno = 5000
trigger2 = Target, stateno = 5030
trigger2 = Target, time = 0
trigger3 = Target, stateno = 5020
trigger3 = Target, time = 0
trigger4 = Target, stateno = 5010
trigger4 = Target, time = 0
trigger5 = Target, stateno = [150, 155]
trigger5 = Target, time = 0
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3102, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Lightning Blast
[StateDef 3200]
Type = S
movetype = A
Physics = S
ctrl = 0
anim = 3200
velset = 0,0

[State 3200, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 1000,0
channel = 0

[State 3200, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3200, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3200, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3200, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 30
var(55) = 0

[State 3200, Chain Flag]
Type = VarSet
trigger1 = time = 13
var(55) = 12288

[State 3200, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3200, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3200, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3200, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = 0, -40
movetime = 3
sound = 20, 0
p2defmul = 1

[State 3200, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 0
channel = 0

[State 3200, Lightning Bolt]
Type = Helper
trigger1 = animelemtime(2) = 2
trigger2 = animelemtime(2) = 4
trigger3 = animelemtime(2) = 6
pos = 20 + 60 * (var(50)-1) + animelemtime(2) * 10, 0
stateno = 3210
ownpal = 1
id = 3200
name = "Ligthning Bolt"

[State 3200, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Lightning Bolt
[Statedef 3210]
type    = S
movetype= A
physics = N
velset = 0,0
ctrl = 0
SprPriority = 3

[State 3201, AssertSpecial]
Type = AssertSpecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[State 3210, ChangeAnim]
Type = ChangeAnim
trigger1= var(1) = 0
value = 3210

[State 3210, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 3100, 0
channel = 0

[State 3001, Counter Flag Reset]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(1) > 0
v = 2
value = 1

[State 1001, fvar(28)]
Type = VarSet
trigger1 = parent, Fvar(28) > Fvar(28)
fvar(28) = Parent, fvar(28)

[State 1001, Counter Flag Reset]
Type = VarSet
trigger1 = time = 0
var(59) = 0

[State 1001, EnvShake]
Type = EnvShake
trigger1 = var(1) = 0
time = 15

[State 1001, HitOverride]
Type = HitOverride
trigger1 = 1
attr = SCA, AP
stateno = 3210

[State 1001, NotHitBy]
Type = NotHitBy
trigger1 = 1
value = , AA, AT

[State 1212, Explod]
Type = Explod
trigger1 = time = 0
anim = F60
pos = 0, 0
pausemovetime = 4

;HitDef
[State 1001, HitDef]
type = HitDef
triggerall = (Parent, Var(47) >= 0)
trigger1 = time = 0
attr = S, HP
damage = Floor((5 + (2 * Random/1000.0)) *  Parent, fvar(28) + 0.5), Floor(2 * Parent, fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 0, 6
guard.pausetime = 0, 6
sparkno = 2
guard.sparkno = 0
sparkxy = -5, 0
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.76312, -4.50000
air.velocity = -2.64866, -4.50000
air.hittime = 50
air.type = High
getpower = 0,0
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
palfx.time = 40
palfx.add = 144, 144, 160
palfx.mul = 128, 128, 144
palfx.sinadd = 16, 32, 64, 15
palfx.color = 32

[State 1001, Juggle]
Type = ParentVarAdd
trigger1 = MoveHit
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 1001, FireBall Hit SlowDown]
Type = ParentVarSet
trigger1 = MoveHit = 1
var(44) = 16
ignorehitpause = 1

[State 3210, DestroySelf]
Type = DestroySelf
trigger1 = animtime = 0

[State 3210, VarAdd]
Type = VarAdd
trigger1 = 1
v = 1
value = 1

;---------------------------------------------------------------------------
;Final Eletric Buster
[Statedef 3300]
Type = S
movetype = A
Physics = N
velset = 0,0
anim = 3300
ctrl = 0
poweradd = 0

[State 3300, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3300, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -3000

[State 3300, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3300, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(51) < 5
v = 51
value = 5
ignorehitpause = 1
persistent = 0

[State 3300, Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 3300, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3300, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 60
anim = 100
pos = 2, -48
movetime = 1
sound = 20, 0
p2defmul = 1

[State 3300, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 20

[State 3300, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000,0
channel = 0

[State 3300, Width]
Type = Width
trigger1 = 1
player = 0,0

[State 3300, HitDef]
Type = HitDef
trigger1 = time = 0
trigger1 = enemynear, stateno != [150, 153]
trigger1 = P2Dist x > -5
attr = S, HT
guardflag =
hitflag = M
guard.dist = -1
priority = 4, Miss
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -40
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 3320
p1stateno = 3310
fall = 1
;hitsound = 5,0

[State 1200, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1205

;---------------------------------------------------------------------------
;Spinning Pile Drive (Hit)
[Statedef 3310]
Type = S
movetype = A
velset = 0,0
Physics = N
anim = 3310

[State 3310, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3310, No Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 3310, No Juggle]
Type = VarSet
trigger1 = 1
var(47) = -1

[State 3310, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 3310, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
trigger1 = random < 500
value = 1200, 0
channel = 0

[State 3310, TargetBind]
Type = TargetBind
trigger1 = animelemtime(2) < 0
trigger1 = animelemtime(1) >= 0
pos = 16, 0

[State 3310, StateTypeSet]
Type = StateTypeSet
trigger1 = animelemtime(2) = 0
statetype = A

[State 3310, VelSet]
Type = VelSet
trigger1 = animelemtime(2) = 0
y = -4.4
x = -0.5

[State 3310, Gravity]
Type = VelAdd
trigger1 = animelemtime(2) > 0
y = 0.147

[State 3310, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(2) >= 0
pos = 25, -(Target, const(size.height) + Target, const(size.head.pos.y)) - 20

[State 3310, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3311

;---------------------------------------------------------------------------
;Spinning Pile Drive (Spinning Down! Part 1)
[Statedef 3311]
Type = A
movetype = A
Physics = N
anim = 3311

[State 3311, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3311, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 0

[State 3311, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 3311, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3321

[State 3310, Gravity]
Type = VelAdd
trigger1 = 1
y = 0.147

[State 3311, TargetBind 1]
Type = TargetBind
trigger1 = animelemtime(1) >= 0
trigger1 = animelemtime(2) < 0
trigger2 = animelemtime(4) >= 0
trigger2 = animelemtime(5) < 0
trigger3 = animelemtime(7) >= 0
trigger3 = animelemtime(8) < 0
trigger4 = animelemtime(10) >= 0
trigger4 = animelemtime(11) < 0
pos = 15, -62

[State 3311, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(2) >= 0
trigger1 = animelemtime(3) < 0
trigger2 = animelemtime(5) >= 0
trigger2 = animelemtime(6) < 0
trigger3 = animelemtime(8) >= 0
trigger3 = animelemtime(9) < 0
trigger4 = animelemtime(11) >= 0
trigger4 = animelemtime(12) < 0
pos = -9, -62

[State 3311, TargetBind 3]
Type = TargetBind
trigger1 = animelemtime(3) >= 0
trigger1 = animelemtime(4) < 0
trigger2 = animelemtime(6) >= 0
trigger2 = animelemtime(7) < 0
trigger3 = animelemtime(9) >= 0
trigger3 = animelemtime(10) < 0
trigger4 = animelemtime(12) >= 0
pos = 0, -52

[State 3311, SprPriority]
Type = SprPriority
trigger1 = animelemtime(3) >= 0
trigger1 = animelemtime(4) < 0
trigger2 = animelemtime(6) >= 0
trigger2 = animelemtime(7) < 0
trigger3 = animelemtime(9) >= 0
trigger3 = animelemtime(10) < 0
trigger4 = animelemtime(12) >= 0
value = 0

[State 3311, SprPriority]
Type = SprPriority
trigger1 = animelemtime(4) >= 0
trigger1 = animelemtime(5) < 0
trigger2 = animelemtime(7) >= 0
trigger2 = animelemtime(8) < 0
trigger3 = animelemtime(10) >= 0
trigger3 = animelemtime(11) < 0
trigger4 = animtime = 0
value = 2

[State 3311, Explod]
Type = Explod
trigger1 = animelem = 3
trigger2 = animelem = 6
trigger3 = animelem = 9
trigger4 = animelem = 12
anim = 1213
pos = -20, -73
removetime = 4 - var(43)
bindtime = -1
sprpriority = 3

[State 3311, VarAdd]
Type = VarAdd
trigger1 = animelemtime(3) = 0
trigger2 = animelemtime(6) = 0
trigger3 = animelemtime(9) = 0
trigger4 = animelemtime(12)= 0
v = 43
value = 1

[State 3311, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 1
trigger2 = animelem = 4
trigger3 = animelem = 7
trigger4 = animelem = 10
value = 1200, 2

[State 3311, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger2 = pos y > 0
value = 3312

;---------------------------------------------------------------------------
;Spinning Pile Drive (Landing!)
[Statedef 3312]
Type = C
movetype = A
velset = 0,0
Physics = N
anim = 3312

[State 3312, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3312, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 3312, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 0

[State 3312, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3322

[State 3312, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 3312, TargetBind]
Type = TargetBind
trigger1 = 1
pos = 7, -10

[State 1212, TargetLifeAdd]
Type = TargetLifeAdd
trigger1 = time = 0
value = -Floor((20 + (Random/1000.0)* 8) * Fvar(28) + 0.5)

[State 1212, EnvShake]
Type = EnvShake
trigger1 = time = 0
time = 15

[State 1212, Explod]
Type = Explod
trigger1 = time = 0
anim = F60
pos = 0, 0
pausemovetime = 4

[State 1212, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = F7,1
channel = 2

[State 3312, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3313


;---------------------------------------------------------------------------
;Spinning Pile Drive (Going Up, Part Deux)
[Statedef 3313]
Type = S
movetype = A
velset = 0,0
Physics = N
anim = 3313

[State 3313, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3313, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3323

[State 3313, No Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 3313, No Juggle]
Type = VarSet
trigger1 = 1
var(47) = -1

[State 3313, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 3313, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 3300, 0
channel = 0

[State 3313, TargetBind]
Type = TargetBind
trigger1 = animelemtime(2) < 0
trigger1 = animelemtime(1) >= 0
pos = 16, 0

[State 3313, StateTypeSet]
Type = StateTypeSet
trigger1 = animelemtime(2) = 0
statetype = A

[State 3313, VelSet]
Type = VelSet
trigger1 = animelemtime(2) = 0
y = -7.938
x = -0.5

[State 3313, Gravity]
Type = VelAdd
trigger1 = animelemtime(2) > 0
y = 0.147

[State 3313, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(2) >= 0
pos = 25, -(Target, const(size.height) + Target, const(size.head.pos.y)) - 20

[State 3313, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3314

;---------------------------------------------------------------------------
;Spinning Pile Drive (Spinning Down! Part Deux)
[Statedef 3314]
Type = A
movetype = A
Physics = N
anim = 3314

[State 3314, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3314, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 0

[State 3314, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 3314, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3324

[State 3314, Gravity]
Type = VelAdd
trigger1 = 1
y = 0.147

[State 3314, TargetBind 1]
Type = TargetBind
trigger1 = animelemtime(1) >= 0
trigger1 = animelemtime(2) < 0
trigger2 = animelemtime(4) >= 0
trigger2 = animelemtime(5) < 0
trigger3 = animelemtime(7) >= 0
trigger3 = animelemtime(8) < 0
trigger4 = animelemtime(10) >= 0
trigger4 = animelemtime(11) < 0
trigger5 = animelemtime(13) >= 0
trigger5 = animelemtime(14) < 0
trigger6 = animelemtime(16) >= 0
trigger6 = animelemtime(17) < 0
trigger7 = animelemtime(19) >= 0
trigger7 = animelemtime(20) < 0
trigger8 = animelemtime(22) >= 0
trigger8 = animelemtime(23) < 0
pos = 15, -62

[State 3314, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(2) >= 0
trigger1 = animelemtime(3) < 0
trigger2 = animelemtime(5) >= 0
trigger2 = animelemtime(6) < 0
trigger3 = animelemtime(8) >= 0
trigger3 = animelemtime(9) < 0
trigger4 = animelemtime(11) >= 0
trigger4 = animelemtime(12) < 0
trigger5 = animelemtime(14) >= 0
trigger5 = animelemtime(15) < 0
trigger6 = animelemtime(17) >= 0
trigger6 = animelemtime(18) < 0
trigger7 = animelemtime(20) >= 0
trigger7 = animelemtime(21) < 0
trigger8 = animelemtime(23) >= 0
trigger8 = animelemtime(24) < 0
pos = -9, -62

[State 3314, TargetBind 3]
Type = TargetBind
trigger1 = animelemtime(3) >= 0
trigger1 = animelemtime(4) < 0
trigger2 = animelemtime(6) >= 0
trigger2 = animelemtime(7) < 0
trigger3 = animelemtime(9) >= 0
trigger3 = animelemtime(10) < 0
trigger4 = animelemtime(12) >= 0
trigger4 = animelemtime(13) < 0
trigger5 = animelemtime(15) >= 0
trigger5 = animelemtime(16) < 0
trigger6 = animelemtime(18) >= 0
trigger6 = animelemtime(19) < 0
trigger7 = animelemtime(21) >= 0
trigger7 = animelemtime(22) < 0
trigger8 = animelemtime(24) >= 0
pos = 0, -52

[State 3314, SprPriority]
Type = SprPriority
trigger1 = animelemtime(3) >= 0
trigger1 = animelemtime(4) < 0
trigger2 = animelemtime(6) >= 0
trigger2 = animelemtime(7) < 0
trigger3 = animelemtime(9) >= 0
trigger3 = animelemtime(10) < 0
trigger4 = animelemtime(12) >= 0
trigger4 = animelemtime(13) < 0
trigger5 = animelemtime(15) >= 0
trigger5 = animelemtime(16) < 0
trigger6 = animelemtime(18) >= 0
trigger6 = animelemtime(19) < 0
trigger7 = animelemtime(21) >= 0
trigger7 = animelemtime(22) < 0
trigger8 = animelemtime(24) >= 0
value = 0

[State 3314, SprPriority]
Type = SprPriority
trigger1 = animelemtime(1) >= 0
trigger1 = animelemtime(2) < 0
trigger2 = animelemtime(4) >= 0
trigger2 = animelemtime(5) < 0
trigger3 = animelemtime(7) >= 0
trigger3 = animelemtime(8) < 0
trigger4 = animelemtime(10) >= 0
trigger4 = animelemtime(11) < 0
trigger5 = animelemtime(13) >= 0
trigger5 = animelemtime(14) < 0
trigger6 = animelemtime(16) >= 0
trigger6 = animelemtime(17) < 0
trigger7 = animelemtime(19) >= 0
trigger7 = animelemtime(20) < 0
trigger8 = animelemtime(22) >= 0
trigger8 = animelemtime(23) < 0
value = 2

[State 3314, Explod]
Type = Explod
trigger1 = animelem = 3
trigger2 = animelem = 6
trigger3 = animelem = 9
trigger4 = animelem = 12
trigger5 = animelem = 15
trigger6 = animelem = 18
trigger7 = animelem = 21
trigger8 = animelem = 24
anim = 1213
pos = -20, -73
removetime = 5 - var(43)
bindtime = -1
sprpriority = 3

[State 3314, VarAdd]
Type = VarAdd
trigger1 = animelemtime(3) = 0
trigger2 = animelemtime(6) = 0
trigger3 = animelemtime(9) = 0
trigger4 = animelemtime(12)= 0
trigger5 = animelemtime(15)= 0
v = 43
value = 1

[State 3314, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 1
trigger2 = animelem = 4
trigger3 = animelem = 7
trigger4 = animelem = 10
trigger5 = animelem = 13
trigger6 = animelem = 16
trigger7 = animelem = 19
trigger8 = animelem = 22
value = 1200, 2

[State 3314, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger2 = pos y > 0
value = 3315

;---------------------------------------------------------------------------
;Spinning Pile Drive (Landing! Part Deux)
[Statedef 3315]
Type = C
movetype = A
velset = 0,0
Physics = N
anim = 3315
sprpriority = 3

[State 3315, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3315, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 3315, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 0

[State 3315, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3325

[State 3315, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 3315, TargetBind]
Type = TargetBind
trigger1 = 1
pos = 7, -10

[State 3315, TargetLifeAdd]
Type = TargetLifeAdd
trigger1 = time = 0
value = -Floor((47 + (Random/1000.0)* 7) * Fvar(28) + 0.5)

[State 3315, EnvShake]
Type = EnvShake
trigger1 = time = 0
time = 45

[State 3315, Explod]
Type = Explod
trigger1 = time = 0
anim = F61
pos = 0, 0
pausemovetime = 4

[State 3315, Flash]
type = EnvColor
trigger1 = time = 0 
value = 255,255,255
under = 0
time = 2

[State 3315, Lightning]
Type = Explod
trigger1 = time = 3
anim = 3316
pos = 10,0

[State 1212, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = F7,2
channel = 2

[State 1212, PlaySnd]
Type = PlaySnd
trigger1 = time = 3
value = 3100, 0
channel = 1

[State 3315, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1213

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Start Part 1)
[StateDef 3320]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 3320, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 3320

[State 3320, VelSet]
Type = VelSet
trigger1 = !GetHitVar(IsBound)
x = -3
y = -4.5

[State 3320, 6]
Type = SelfState
trigger1 = animtime = 0
trigger2 = !GetHitVar(IsBound)
value = 5050

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Going Down Part 1)
[StateDef 3321]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 3320, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 3321

[State 3320, VelSet]
Type = VelSet
trigger1 = !GetHitVar(IsBound)
x = -3
y = -4.5

[State 3320, 6]
Type = SelfState
trigger1 = animtime = 0
trigger2 = !GetHitVar(IsBound)
value = 5050

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Land Part 1)
[StateDef 3322]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 3323, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 3322

[State 811, VelSet]
Type = VelSet
trigger1 = !GetHitVar(IsBound)
x = -1.7
y = -4.5

[State 811, 6]
Type = SelfState
trigger1 = !GetHitVar(IsBound)
value = 5050

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Start Part Deux)
[StateDef 3323]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 3323, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 3323

[State 3320, VelSet]
Type = VelSet
trigger1 = !GetHitVar(IsBound)
x = -3
y = -4.5

[State 3323, 6]
Type = SelfState
trigger1 = animtime = 0
trigger2 = !GetHitVar(IsBound)
value = 5050

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Going Down Part Deux)
[StateDef 3324]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 3320, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 3324

[State 3320, VelSet]
Type = VelSet
trigger1 = !GetHitVar(IsBound)
x = -3
y = -4.5

[State 3320, 6]
Type = SelfState
trigger1 = animtime = 0
trigger2 = !GetHitVar(IsBound)
value = 5031

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Land Part Deux)
[StateDef 3325]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 3323, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 3325

[State 811, VelSet]
Type = VelSet
trigger1 = !GetHitVar(IsBound)
trigger2 = animtime = 0
x = -1.7
y = -4.5

[State 811, 6]
Type = SelfState
trigger1 = !GetHitVar(IsBound)
trigger2 = animtime = 0
value = 5050

;-------------------------------------------------------------------------------
; Special Shake Fall State
[Statedef 5021]
type    = A
movetype= H
physics = N
velset = 0,0

[State 5020, 2] ;Anim for HIT_BACK
type = ChangeAnim
trigger1 = Time = 0
value = 5030

[State 5020, 4] ;Freeze anim
type = ChangeAnim
trigger1 = Time > 0
value = anim

[State 5020, 5]
type = ChangeState
trigger1 = HitShakeOver
value = 5031

;---------------------------------------------------------------------------
; Special Fall State
[Statedef 5031]
type    = A
movetype= H
physics = N
ctrl = 0
velset = -5,-4.5

[State 5030, 1]
type = VelAdd;Gravity
trigger1 = 1
y = GetHitVar(yaccel)

[State 5030, 4]
type = SelfState
triggerall = HitFall
trigger1 = HitOver
trigger2 = Vel Y > 0    ;Hit ground
trigger2 = Pos Y >= 10  ;.
value = 5050 ;HITA_FALL

[State 5030, 5]
type = SelfState
trigger1 = AnimTime = 0
value = 5035 ;HITA_UP (transition)