;===========================================================================
;Special.St

;---------------------------------------------------------------------------
; Super Zutsuki
[Statedef 1000]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 1000 + 10 * (var(50) - 1)
poweradd = 100

[State 1000, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1005, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 0
channel = 0

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1000, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
sprpriority = 3
persistent = 0

[State 1000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1000, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1005

;---------------------------------------------------------------------------
; Rolling attack Fly
[Statedef 1005]
type    = A
movetype= A
physics = N
velset = 3 + (var(50) * 1.5)
anim = 1020
ctrl = 0
poweradd = 0

[State 1005, PosAdd]
Type = PosAdd
trigger1 = time = 0
y = -7

[State 1005, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 1
channel = 1

[State 1005, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1005, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 1

[State 1005, HitDef]
type = HitDef
triggerall = (Var(47) >= 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((15 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1005, HitDef]
type = HitDef
triggerall = (Var(47) < 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((15 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 30, 45
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarSet
trigger1 = MoveHit
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = movecontact
value = 1010

[State 1005, ChangeState]
Type = ChangeState
trigger1 = time = 15 + 15 * var(50)
trigger2 = time > 10
trigger2 = FrontEdgeBodyDist < 5
value = 1020
ctrl = 1

;---------------------------------------------------------------------------
;Rolling attack Contact
[Statedef 1010]
type    = A
movetype= A
physics = N
anim = 1030
ctrl = 0

[State 1010, VelSet]
Type = VelSet
trigger1 = time = 0
x = -2
y = -2.5

[State 1010, Gravity]
Type = Gravity
trigger1 = 1

[State 1010, Combo Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1010, ChangeState]
Type = ChangeState
trigger1 = pos y > -1
trigger1 = time > 0
value = 1020

;---------------------------------------------------------------------------
;Rolling attack Land
[Statedef 1020]
type    = C
movetype= A
physics = C
velset = 0,0
ctrl = 0
anim = 1040

[State 1020, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 1020, Combo Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(2) > 10
var(55) = 0

[State 1020, Combo Flag]
Type = VarSet
trigger1 = animelemtime(2) > 1
var(55) = 28672

[State 1020, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Super Hyakkan Otoshi
[Statedef 1100]
type    = S
movetype= A
physics = N
velset = 1.5 + var(50),0
ctrl = 0
anim = 1100 + 10 * (var(50) - 1)
poweradd = 100

[State 1100, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1100,0
channel = 0

[State 1100, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1100, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1100, VelMul]
Type = VelMul
trigger1 = animelemtime(3 * var(50)) > 0
x = 0.85

[State 1100, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animtime = 0
var(55) = 0

[State 1100, Chain Flag]
Type = VarSet
trigger1 = animelemtime(7 + 2 * (var(50))) = 0
var(55) = 64896

[State 1100, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) >= 0
trigger1 = !(movecontact % (12 - var(50) * 3))
attr = S, SA
damage = Floor((2 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 9
guard.pausetime = 6,9
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 16
ground.slidetime = 16
ground.velocity = -2.32721
guard.velocity = -4.46730
air.velocity = -1.92721, -4.50000
air.hittime = 60
air.type = Low
getpower = 10, 15
givepower = 10, 15
fall = 0
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = -3.46730

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) < 0
trigger1 = !(movecontact % (12 - var(50) * 3))
attr = S, SA
damage = Floor((2 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 6, 9
guard.pausetime = 6,9
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 16
ground.slidetime = 16
ground.velocity = -2.32721
guard.velocity = -4.46730
air.velocity = -1.92721, -4.50000
air.hittime = 60
air.type = Low
getpower = 10, 15
givepower = 10, 15
fall = 0
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = -3.46730

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(2.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = target, statetype = A
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 1100, VarSet]
Type = VarSet
trigger1 = animtime = 0
var(43) = 2

[State 1100, ChangeState]
type = ChangeState
trigger1 = animtime = 0
value = 1110

;---------------------------------------------------------------------------
; Eletric Eel End
[Statedef 1110]
type    = S
movetype= A
physics = N
anim = 1120
ctrl = 0
poweradd = 0

[State 1100, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1110, ChangeState]
Type = ChangeState
trigger1 = time = 20
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Ooichou Nage (Start)
[Statedef 1200]
Type = S
movetype = A
Physics = N
velset = 0,0
anim = 1200
ctrl = 0
poweradd = 200

[State 1200, Don't move]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1200, Width]
Type = Width
trigger1 = 1
player = 0,0

[State 3100, NotHitBy]
Type = NotHitBy
trigger1 = 1
value = , AA, AP

[State 1200, HitDef]
Type = HitDef
trigger1 = time = 0
trigger1 = enemynear, stateno != [150, 153]
attr = S, ST
guardflag =
hitflag = M
guard.dist = -1
priority = 4, Miss
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -50
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 1220
p1stateno = 1210
fall = 1
;hitsound = 5,0

[State 1200, ChangeState]
Type = ChangeState
trigger1 = MoveHit
value = 1210

[State 1200, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1205

;---------------------------------------------------------------------------
;Spinning Pile Drive (Miss)
[Statedef 1205]
Type = S
movetype = A
velset = 0,0
Physics = N
anim = 1205
ctrl = 0

[State 1205, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 800, 0
channel = 0

[State 1205, Don't move]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1205, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Spinning Pile Drive (Hit)
[Statedef 1210]
Type = S
movetype = A
velset = 0,0
Physics = N
anim = 1210
poweradd = 50

[State 1210, TargetFacing]
Type = TargetFacing
trigger1 = 1
value = 1

[State 1210, SprPriority]
Type = SprPriority
trigger1 = 1
value = 2 * (animelemtime(3) >= 0)

[State 1210, No Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 1210, No Juggle]
Type = VarSet
trigger1 = 1
var(47) = -1

[State 1210, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 1210, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 1
value = 1200, 0
channel = 0

[State 1210, TargetBind]
Type = TargetBind
trigger1 = animelemtime(2) < 0
trigger1 = animelemtime(1) >= 0
pos = 16, -75

[State 1210, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(3) < 0
trigger1 = animelemtime(2) >= 0
pos = 42, -42

[State 1210, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(3) >= 0
pos = 5, 0

[State 1310, Width]
Type = Width
trigger1 = 1
edge = 20, 20

[State 1212, TargetLifeAdd]
Type = TargetLifeAdd
trigger1 = animelemtime(3) = 0
value = -Floor((12 + (Random/1000.0)* 5) * Fvar(28) + 0.5)

[State 1212, PlaySnd]
Type = PlaySnd
trigger1 = animelemtime(3) = 0
value = F5,3
channel = 2

[State 1212, EnvShake]
Type = EnvShake
trigger1 = animelemtime(3) = 0
time = 30

[State 1212, Explod]
Type = Explod
trigger1 = animelemtime(3) = 0
anim = F60
pos = 15, 0
pausemovetime = 4

[State 1210, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1211

;---------------------------------------------------------------------------
;Spinning Pile Drive (Spinning Down!)
[Statedef 1211]
Type = A
movetype = A
Physics = N
VelSet = 1.2, -5.5
anim = 1211

[State 1310, Width]
Type = Width
trigger1 = 1
edge = 20, 20

[State 1211, Gravity]
Type = Gravity
trigger1 = 1

[State 1211, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 0

[State 1211, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 1211, ChangeState]
Type = ChangeState
trigger1 = time > 0
trigger1 = pos y >= 0
value = 1212

;---------------------------------------------------------------------------
;Spinning Pile Drive (Landing!)
[Statedef 1212]
Type = C
movetype = A
velset = 0,0
Physics = N
anim = 1212

[State 1210, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 800, 1
channel = 0

[State 1212, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 1212, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 0

[State 1212, TargetState]
Type = TargetBind
trigger1 = time = 2
pos = 10, 0

[State 1212, TargetState]
Type = TargetState
trigger1 = time = 2
value = 1222

[State 1212, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 1310, Width]
Type = Width
trigger1 = 1
edge = 20, 20

[State 1212, TargetLifeAdd]
Type = TargetLifeAdd
trigger1 = time = 0
value = -Floor((10 + (Random/1000.0)* 5) * Fvar(28) + 0.5)

[State 1212, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = F5,3
channel = 2

[State 1212, EnvShake]
Type = EnvShake
trigger1 = time = 0
time = 30

[State 1212, Explod]
Type = Explod
trigger1 = time = 0
anim = F60
pos = 0, 0
pausemovetime = 4

[State 1212, Explod]
Type = Explod
trigger1 = time = 0
anim = F2
pos = 0, -3
sprpriority = 3
pausemovetime = 4

[State 1212, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1213

;---------------------------------------------------------------------------
; Hop back from SPD
[Statedef 1213]
type    = C
physics = N
ctrl = 0
anim = 1040
sprpriority = 1

[State 105, Moveability]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 105, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 105, 3]
type = ChangeState
trigger1 = animtime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Start)
[StateDef 1220]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
velset = 0,0
sprpriority = 1

[State 1220, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 1220

[State 811, VelSet]
Type = VelSet
trigger1 = animelemtime(3) < 0
trigger1 = !GetHitVar(IsBound)
x = -3
y = -4.5

[State 811, VelSet]
Type = VelSet
trigger1 = animelemtime(3) >= 0
x = 0
y = 0

[State 811, 6]
Type = SelfState
trigger1 = animtime = 0
trigger2 = animelemtime(3) < 0
trigger2 = !GetHitVar(IsBound)
value = 5050

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Land)
[StateDef 1222]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 1220, ChangeAnim2]
Type = ChangeAnim
trigger1 = time = 0
value = 5160

[State 811, VelSet]
Type = VelSet
trigger1 = !GetHitVar(IsBound)
trigger2 = animtime = 0
x = 2.3
y = -4.5

[State 811, 6]
Type = SelfState
trigger1 = animtime = 0
trigger2 = !GetHitVar(IsBound)
value = 5050

;---------------------------------------------------------------------------
;Super Hyakkan Otoshi
[Statedef 1300]
type    = A
movetype= A
physics = N
velset = 0.5 + 2.5 * var(50), -7.5 - var(50)
ctrl = 0
anim = 1300
poweradd = 100

[State 1300, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1210, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 1300, 0
channel = 0

[State 1210, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 1000, 1
channel = 1

[State 1300, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1300, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1300, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
sprpriority = 3
persistent = 0

[State 1300, VelMul]
Type = VelMul
trigger1 = time > 3
x = 0.92

[State 1300, Gravity]
Type = Gravity
trigger1 = 1

[State 1300, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1300, HitDef]
type = HitDef
triggerall = (Var(47) >= 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((10 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 40, 60
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1300, HitDef]
type = HitDef
triggerall = (Var(47) < 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((10 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 40, 60
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarAdd
trigger1 = MoveHit
v = 47
value = -6
persistent = 0
ignorehitpause = 1

[State 1300, ChangeState]
Type = ChangeState
trigger1 = vel y > -1
value = 1310

;---------------------------------------------------------------------------
;Super Hyakkan Otoshi Cont
[Statedef 1310]
type    = A
movetype= A
physics = N
ctrl = 0
anim = 1310

[State 1310, VelSet]
Type = VelSet
trigger1 = time = 0
x = 0

[State 1300, Gravity]
Type = Gravity
trigger1 = 1

[State 1310, HitDef]
type = HitDef
triggerall = (Var(47) >= 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((10 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -2.92721, 3.50000
air.hittime = 60
air.type = High
getpower = 40, 60
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1310, HitDef]
type = HitDef
triggerall = (Var(47) < 8)
trigger1 = time = 0
attr = S, SA
damage = Floor((10 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = H
hitflag = M
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -2.92721, 3.50000
air.hittime = 60
air.type = High
getpower = 40, 60
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1310, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1310, Juggle]
Type = VarSet
trigger1 = MoveHit
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 1310, ChangeState]
Type = ChangeState
trigger1 = pos y >= 0
value = 1320

;---------------------------------------------------------------------------
;Super Hyakkan Otoshi Cont
[Statedef 1320]
type    = C
movetype= A
physics = N
velset = 0,0
ctrl = 0
anim = 1040

[State 1320, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 1320, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 45696

[State 1320, Chain]
Type = VarSet
trigger1 = time = 10
var(55) = 0

[State 1320, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Oni Musou Start
[Statedef 3000]
type    = C
movetype= A
physics = C
velset = 0,0
ctrl = 0
anim = 3000

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 3000,0
channel = 0

[State 3000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3000, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 15

[State 3000, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3000, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3000, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3000, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3000, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3000, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = 0, -58
movetime = 1
sound = 20, 0
p2defmul = 1

[State 1005, PlaySnd]
type = PlaySnd
trigger1 = AnimTime = 0
value = 3000, 1
channel = 0

[State 3000, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger1 = var(43) := 2
value = 3010

;---------------------------------------------------------------------------
; Oni Musou Fly
[Statedef 3010]
type    = A
movetype= A
physics = N
velset = 6.5
anim = 1020
ctrl = 0
poweradd = 0

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1005, PosAdd]
Type = PosAdd
trigger1 = time = 0
y = -7

[State 1005, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 1
channel = 1

[State 1005, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1005, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 1

[State 1005, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = time = 0
attr = S, HA
damage = Floor((10 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 30
ground.slidetime = 30
ground.velocity = -1.92721, 0
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 0
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1005, HitDef]
type = HitDef
triggerall = (Var(47) < 0)
trigger1 = time = 0
attr = S, SA
damage = Floor((10 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 30
ground.slidetime = 30
ground.velocity = -1.92721, 0
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 0
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 3
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarAdd
trigger1 = MoveHit
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = movecontact
trigger1 = (1) || var(43) := var(43) - 1
value = 3020

[State 1005, ChangeState]
Type = ChangeState
trigger1 = time = 45
trigger2 = time > 10
trigger2 = FrontEdgeBodyDist < 5
value = 1020

;---------------------------------------------------------------------------
;Rolling attack Contact
[Statedef 3020]
type    = A
movetype= A
physics = N
anim = 1030
ctrl = 0

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1010, VelSet]
Type = VelSet
trigger1 = time = 0
x = -1.2
y = -2.5

[State 1010, Gravity]
Type = Gravity
trigger1 = 1

[State 1010, Combo Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1010, ChangeState]
Type = ChangeState
trigger1 = pos y > -1
trigger1 = time > 0
value = 3030

;---------------------------------------------------------------------------
;Rolling attack Land
[Statedef 3030]
type    = C
movetype= A
physics = C
velset = 0,0
ctrl = 0
anim = 1040

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1020, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 1020, Combo Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1020, ChangeState]
Type = ChangeState
trigger1 = time = 5
value = 3010 + 30 * (!var(43))

;---------------------------------------------------------------------------
;Super Hyakkan Otoshi
[Statedef 3040]
type    = S
movetype= A
physics = N
velset = 3.5,0
ctrl = 0
anim = 1110

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1100, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1100,0
channel = 0

[State 1100, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1100, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1100, VelMul]
Type = VelMul
trigger1 = animelemtime(6) > 0
x = 0.85

[State 1100, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animtime = 0
var(55) = 0

[State 1100, Chain Flag]
Type = VarSet
trigger1 = animelemtime(11) = 0
var(55) = 57344

[State 1100, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) >= 0
trigger1 = !(movecontact % 6)
attr = S, HA
damage = Floor((2 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 9
guard.pausetime = 4,9
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -2.32721, 0 - (5.5 * (animelemtime(18) >= 0))
guard.velocity = -4.46730
air.velocity = -1.92721, -4.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 10, 15
fall = (animelemtime(18) > 0)
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = -1.46730

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) < 0
trigger1 = !(movecontact % 6)
attr = S, SA
damage = Floor((2 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 4, 9
guard.pausetime = 4,9
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -2.32721, 0 - (5.5 * (animelemtime(18) >= 0))
guard.velocity = -4.46730
air.velocity = -1.92721, -4.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 10, 15
fall = (animelemtime(18) > 0)
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = -1.46730

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 6
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarSet
trigger1 = MoveHit
trigger1 = NumTarget > 0
trigger1 = target, statetype = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 1100, VarSet]
Type = VarSet
trigger1 = animtime = 0
var(43) = 2

[State 1100, ChangeState]
type = ChangeState
trigger1 = animtime = 0
value = 3050

;---------------------------------------------------------------------------
; Eletric Eel End
[Statedef 3050]
type    = S
movetype= A
physics = N
anim = 1120
ctrl = 0
poweradd = 0

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1100, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1110, ChangeState]
Type = ChangeState
trigger1 = time = 20
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Fuji Oroshi
[StateDef 3100]
Type = S
movetype= A
Physics = N
velset = 0,0
anim = 3100
ctrl = 0

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 3000,0
channel = 0

[State 3100, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3100, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3100, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3100, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3100, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3100, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3100, NotHitBy]
Type = NotHitBy
trigger1 = 1
value = , AA, AP

[State 3100, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = 0, -58
movetime = 1
sound = 20, 0
p2defmul = 1

[State 3100, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3110

;---------------------------------------------------------------------------
;Fuji Oroshi Cont
[Statedef 3110]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 3110
poweradd = 0

[State 3110, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 3110, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3110, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) >= 0
attr = S, HA
damage = Floor((5 + (2 * Random/1000.0)) * Fvar(28) + 0.5), floor(fvar(28))
animtype = Light
guardflag = L
hitflag = MAF
priority = 2, Hit
pausetime = 6, 16
sparkno = 1
guard.sparkno = 0
sparkxy = 0, -22
hitsound = 5, 1
guardsound = 6, 0
ground.type = trip
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -0.77799, -5.00000
air.velocity = -0.72629, -5.00000
fall = 1
air.hittime = 28
air.type = trip
air.juggle = 15
getpower = 0, 0
givepower = 10, 15

[State 3110, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) < 0
attr = S, HA
damage = Floor((5 + (2 * Random/1000.0)) * Fvar(28) + 0.5), floor(fvar(28))
animtype = Light
guardflag = L
hitflag = M
priority = 2, Hit
pausetime = 6, 16
sparkno = 1
guard.sparkno = 0
sparkxy = 0, -22
hitsound = 5, 0
guardsound = 6, 0
ground.type = trip
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -0.77799, -5.00000
air.velocity = -0.72629, -5.00000
fall = 1
air.hittime = 28
air.type = trip
air.juggle = 15
getpower = 0, 0
givepower = 10, 15

[State 3110, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
trigger1 = Target, StateType = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3110, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 3110, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
value = 200, 0
channel = 0

[State 3110, ChangeState]
type = ChangeState
trigger1 = AnimElemtime(3) = 0
value = 3120

;---------------------------------------------------------------------------
;Fuji Oroshi Cont
[Statedef 3120]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
poweradd = 0

[State 3120, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3120, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 3120, HitDef]
type = HitDef
trigger1 = AnimElem = 4, 1
trigger1 = Var(47) >= 0
attr = S, HA
damage = Floor((8 + (Random/1000.0)* 3) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = MA
hitflag = MAF
priority = 7, Hit
pausetime = 8, 18
sparkno = 1
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 1
guardsound = 6, 0
ground.type = low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -0.75509, -3.00000
air.velocity = -0.74183, -3.00000
fall = 1
fall.recover = 0
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3120, HitDef]
type = HitDef
trigger1 = AnimElem = 4, 1
trigger1 = Var(47) < 0
attr = S, HA
damage = Floor((8 + (Random/1000.0)* 3) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = MA
hitflag = M
priority = 7, Hit
pausetime = 8, 18
sparkno = 1
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 1
guardsound = 6, 0
ground.type = low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -0.75509, -3.00000
air.velocity = -0.74183, -3.00000
fall = 1
fall.recover = 0
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3120, ChangeState]
Type = ChangeState
trigger1 = animelemtime(5) = 0
value = 3121

;---------------------------------------------------------------------------
;Fuji Oroshi Cont
[Statedef 3121]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
poweradd = 0

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3120, HitDef]
type = HitDef
trigger1 = AnimElem = 5, 1
trigger1 = Var(47) >= 0
attr = S, HA
damage = Floor((8 + (Random/1000.0)* 3) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = MA
hitflag = MAF
priority = 7, Hit
pausetime = 12, 16
sparkno = 1
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.75509, -7.00000
air.velocity = -1.74183, -7.00000
fall = 1
fall.recover = 0
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3120, HitDef]
type = HitDef
trigger1 = AnimElem = 5, 1
trigger1 = Var(47) < 0
attr = S, HA
damage = Floor((8 + (Random/1000.0)* 3) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = MA
hitflag = M
priority = 7, Hit
pausetime = 12, 13
sparkno = 1
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 1
guardsound = 6, 0
ground.type = high
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.75509, -7.00000
air.velocity = -1.74183, -7.00000
fall = 1
fall.recover = 0
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3120, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 3120, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 3120, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
value = 210, 0
channel = 0

[State 3120, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 3130

;---------------------------------------------------------------------------
;Fuji Oroshi Cont
[Statedef 3130]
type    = A
movetype= A
physics = N
velset = 5.5, -9.5
ctrl = 0
anim = 1300
poweradd = 0

[State 3130, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3130, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3130, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 3100, 0
channel = 0

[State 3130, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 1000, 1
channel = 1

[State 3130, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3130, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 3130, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
sprpriority = 3
persistent = 0

[State 3130, VelMul]
Type = VelMul
trigger1 = time > 3
x = 0.92

[State 3130, Gravity]
Type = Gravity
trigger1 = 1

[State 1300, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1300, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = time = 0
attr = S, HA
damage = Floor((10 + 2 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1300, HitDef]
type = HitDef
triggerall = (Var(47) < 0)
trigger1 = time = 0
attr = S, HA
damage = Floor((10 + 2 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarAdd
trigger1 = MoveHit
v = 47
value = -6
persistent = 0
ignorehitpause = 1

[State 1300, ChangeState]
Type = ChangeState
trigger1 = vel y > -1
value = 3140

;---------------------------------------------------------------------------
;Fuji Oroshi Cont
[Statedef 3140]
type    = A
movetype= A
physics = N
ctrl = 0
anim = 1310

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1310, VelSet]
Type = VelSet
trigger1 = time = 0
x = 0

[State 1300, Gravity]
Type = Gravity
trigger1 = 1

[State 3130, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000, 1
channel = 1

[State 1310, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = time = 0
attr = S, HA
damage = Floor((4 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -4.92721, 4.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1310, HitDef]
type = HitDef
triggerall = (Var(47) < 0)
trigger1 = time = 0
attr = S, HA
damage = Floor((4 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = H
hitflag = M
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -2.92721, 3.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1310, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1310, Juggle]
Type = VarSet
trigger1 = MoveHit
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 1310, ChangeState]
Type = ChangeState
trigger1 = pos y >= 0
value = 3150

;---------------------------------------------------------------------------
;Super Hyakkan Otoshi Cont
[Statedef 3150]
type    = C
movetype= A
physics = N
velset = 0,0
ctrl = 0
anim = 1040

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1320, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 1320, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 53248

[State 1320, Chain]
Type = VarSet
trigger1 = time = 10
var(55) = 0

[State 1320, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Orochi Kudaki
[Statedef 3200]
Type = S
movetype= A
Physics = N
velset = 0,0
anim = 3200
ctrl = 0

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 3000,0
channel = 0

[State 3100, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3100, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3100, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3100, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3100, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3100, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3100, NotHitBy]
Type = NotHitBy
trigger1 = 1
value = , AA, AP

[State 3100, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = 0, -58
movetime = 1
sound = 20, 0
p2defmul = 1

[State 3100, HitDef]
Type = HitDef
trigger1 = animelemtime(2) = 0
trigger1 = enemynear, stateno != [150, 153]
attr = S, HT
guardflag =
hitflag = M
guard.dist = -1
priority = 4, Miss
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -60
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 3251
p1stateno = 3210
fall = 1
;hitsound = 5,0

[State 3100, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1205

;---------------------------------------------------------------------------
;Orochi Kudaki (Part 1)
[StateDef 3210]
Type = S
movetype = A
Physics = N
velset = 0,0
anim = 3210
ctrl = 0
sprpriority = 2

[State 3210, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 3210, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3210, Set the amount of the Hugs]
Type = VarSet
trigger1 = time = 0
var(43) = 3

[State 3210, Sprpriority]
Type = SprPriority
trigger1 = 1
value = 3

[State 3210, PosAdd]
Type = Width
trigger1 = 1
edge = 25,25

[State 3210, No Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 3210, No Juggle]
Type = VarSet
trigger1 = 1
var(47) = -1

[State 3210, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 3210, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 800, 0
channel = 0

[State 3210, TargetBind]
Type = TargetBind
trigger1 = 1
pos = 8, -10
ignorehitpause = 1

;Bite, bite, bite. :D
[State 3210, HitDef]
type = HitDef
trigger1 = animelemtime(2) = 0
attr = S, HT
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = heavy
guardflag = 
hitflag = MAF+
priority = 3, Hit
pausetime = 4, 4
sparkno = 2
guard.sparkno = 0
sparkxy = -7, -50
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 18
ground.slidetime = 18
ground.velocity = 0, 0
air.velocity = 0, 0
air.hittime = 24
air.type = High
fall = 1
getpower = 10, 15
givepower = 10, 15
p2stateno = 3251

[State 801, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
value = 800, 0
channel = 0

[State 801, Decrease bite number]
Type = VarAdd
trigger1 = animtime = 0
v = 43
value = -1

[State 801, ChangeState]
Type = ChangeState
trigger1 = var(43) = 0
trigger1 = var(43) := 3
value = 3220

;---------------------------------------------------------------------------
;Orochi Kudaki Part 2
[Statedef 3220]
Type = S
movetype = A
velset = 0,0
Physics = N
anim = 3220

[State 3210, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3220, TargetState]
Type = TargetState
trigger1 = time = 0
value = 3253

[State 3220, Turn]
Type = Turn
trigger1 = time = 0

[State 1210, TargetFacing]
Type = TargetFacing
trigger1 = 1
value = 1

[State 1210, SprPriority]
Type = SprPriority
trigger1 = 1
value = 2 * (animelemtime(3) >= 0)

[State 1210, No Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 1210, No Juggle]
Type = VarSet
trigger1 = 1
var(47) = -1

[State 1210, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 1210, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 2
value = 220, 0
channel = 0

[State 1210, TargetBind]
Type = TargetBind
trigger1 = animelemtime(2) < 0
trigger1 = animelemtime(1) >= 0
pos = 16, -75

[State 1210, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(3) < 0
trigger1 = animelemtime(2) >= 0
pos = 42, -42

[State 1210, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(3) >= 0
pos = 5, 0

[State 1310, Width]
Type = Width
trigger1 = 1
edge = 20, 20

[State 1212, TargetLifeAdd]
Type = TargetLifeAdd
trigger1 = animelemtime(3) = 0
value = -Floor((7 + (Random/1000.0)* 2) * Fvar(28) + 0.5)

[State 1212, PlaySnd]
Type = PlaySnd
trigger1 = animelemtime(3) = 0
value = F5,3
channel = 2

[State 1212, EnvShake]
Type = EnvShake
trigger1 = animelemtime(3) = 0
time = 20

[State 1212, EnvShake]
Type = HitAdd
trigger1 = animelemtime(3) = 0
value = 1

[State 1212, Explod]
Type = Explod
trigger1 = animelemtime(3) = 0
anim = F60
pos = 15, 0
pausemovetime = 4

[State 1210, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger1 = var(43) := var(43) -1
value = 3220

[State 1210, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3221

;---------------------------------------------------------------------------
;Orochi Kudaki Part 3
[Statedef 3221]
Type = A
movetype = A
Physics = N
VelSet = 1.2, -5.5
anim = 1211

[State 3221, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3221, Width]
Type = Width
trigger1 = 1
edge = 20, 20

[State 3221, Gravity]
Type = Gravity
trigger1 = 1

[State 3221, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 0

[State 3221, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 3221, ChangeState]
Type = ChangeState
trigger1 = time > 0
trigger1 = pos y >= 0
value = 3222

;---------------------------------------------------------------------------
;Orochi Kudaki Part 4
[Statedef 3222]
Type = C
movetype = A
velset = 0,0
Physics = N
anim = 1212

[State 1210, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 800, 1
channel = 0

[State 3222, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1212, EnvShake]
Type = HitAdd
trigger1 = time = 0
value = 1

[State 3222, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 3222, VarSet]
Type = VarSet
trigger1 = time = 0
var(43) = 0

[State 3222, TargetState]
Type = TargetBind
trigger1 = time = 2
pos = 10, 0

[State 3222, TargetState]
Type = TargetState
trigger1 = time = 2
value = 1222

[State 3222, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 3222, Width]
Type = Width
trigger1 = 1
edge = 20, 20

[State 3222, TargetLifeAdd]
Type = TargetLifeAdd
trigger1 = time = 0
value = -Floor((10 + (Random/1000.0)* 5) * Fvar(28) + 0.5)

[State 1212, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = F5,3
channel = 2

[State 1212, EnvShake]
Type = EnvShake
trigger1 = time = 0
time = 30

[State 1212, Explod]
Type = Explod
trigger1 = time = 0
anim = F60
pos = 0, 0
pausemovetime = 4

[State 1212, Explod]
Type = Explod
trigger1 = time = 0
anim = F2
pos = 0, -3
sprpriority = 3
pausemovetime = 4

[State 1212, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1213

;---------------------------------------------------------------------------
; Being Squeezed
[StateDef 3251]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 3251, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 3251

[State 802, Sprpriority]
Type = SprPriority
trigger1 = 1
value = 0

[State 3251, VelSet]
Type = VelSet
trigger1 = !gethitvar(isbound)
x = -3
y = -4.5

[State 3251, 6]
Type = ChangeState
trigger1 = !gethitvar(isbound)
value = 822

;---------------------------------------------------------------------------
; Being bitten
[StateDef 3252]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 3252, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 3252

[State 3252, Sprpriority]
Type = SprPriority
trigger1 = 1
value = 0

[State 3252, VelSet]
Type = VelSet
trigger1 = !gethitvar(isbound)
trigger1 = animtime = 0
x = -1.5
y = -3.5

[State 3252, 6]
Type = SelfState
trigger1 = !gethitvar(isbound)
trigger1 = animtime = 0
value = 5021

;---------------------------------------------------------------------------
; Being Thrown by Spinning Pile Drive (Start)
[StateDef 3253]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
velset = 0,0
sprpriority = 1

[State 1220, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 3253

[State 811, VelSet]
Type = VelSet
trigger1 = animelemtime(3) < 0
trigger1 = !GetHitVar(IsBound)
x = -3
y = -4.5

[State 811, VelSet]
Type = VelSet
trigger1 = animelemtime(3) >= 0
x = 0
y = 0

[State 811, 6]
Type = SelfState
trigger1 = animtime = 0
trigger2 = animelemtime(3) < 0
trigger2 = !GetHitVar(IsBound)
value = 5050

;---------------------------------------------------------------------------
;Shichinin no samurai
[Statedef 3300]
Type = S
movetype = A
Physics = N
velset = 0,0
anim = 3300
ctrl = 0
poweradd = 0

[State 3300, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3300, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -3000

[State 3300, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3300, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(51) < 5
v = 51
value = 5
ignorehitpause = 1
persistent = 0

[State 3300, Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 3300, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3300, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 60
anim = 100
pos = 0, -58
movetime = 1
sound = 20, 0
p2defmul = 1

[State 3300, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 20

[State 3300, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 3300,0
channel = 0

[State 3300, Width]
Type = Width
trigger1 = 1
player = 0,0

[State 1200, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3305

;---------------------------------------------------------------------------
;Shichinin no samurai Ichi
[Statedef 3305]
type    = C
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 3305
poweradd = 0

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3305, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3305, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 3305, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) >= 0
attr = C, HA
damage = Floor((8 + (Random/1000.0)* 3) * Fvar(28) + 0.5), Floor(2 * Fvar(28) + 0.5)
animtype = Heavy
air.animtype = Up
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = 8, 16
sparkno = 2
guard.sparkno = 1
sparkxy = 0, -33
hitsound = 5, 1
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -0.22108, 0.00000
air.velocity = -0.30292, -3.50000
air.hittime = 36
air.type = Low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3305, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) < 0
attr = C, HA
damage = Floor((8 + (Random/1000.0)* 3) * Fvar(28) + 0.5), Floor(2 * Fvar(28) + 0.5)
animtype = Heavy
air.animtype = Up
guardflag = M
hitflag = M
priority = 3, Hit
pausetime = 8, 16
sparkno = 2
guard.sparkno = 1
sparkxy = 0, -33
hitsound = 5, 1
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -0.22108, 0.00000
air.velocity = -0.30292, -3.50000
air.hittime = 36
air.type = Low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3305, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3305, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 3305, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
value = 210, 0
channel = 0

[State 3305, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 3310

;---------------------------------------------------------------------------
;Shichinin no samurai Ni
[Statedef 3310]
type    = C
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 3310
poweradd = 0

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3310, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3310, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 0
attr = C, HA
damage = Floor((4 + (Random/1000.0)) * Fvar(28) + 0.5), Floor(2 * Fvar(28) + 0.5)
animtype = Light
guardflag = M
hitflag = MAF
priority = 2, Hit
pausetime = 6, 14
sparkno = 2
guard.sparkno = 0
sparkxy = 0, -30
hitsound = 5, 1
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = 0, 0.00000
air.velocity = -0.2257, -4.00000
air.hittime = 20
air.type = High
air.juggle = 15
getpower = 0, 0
givepower = 10, 15

[State 3310, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 0
attr = C, HA
damage = Floor((4 + (Random/1000.0)) * Fvar(28) + 0.5), Floor(2 * Fvar(28) + 0.5)
animtype = Light
guardflag = M
hitflag = M
priority = 2, Hit
pausetime = 6, 14
sparkno = 2
guard.sparkno = 0
sparkxy = 0, -30
hitsound = 5, 1
guardsound = 6, 0
ground.type = Low
ground.hittime = 10
ground.slidetime = 10
ground.velocity = 0, 0.00000
air.velocity = -0.2257, -4.00000
air.hittime = 20
air.type = High
air.juggle = 15
getpower = 0, 0
givepower = 10, 15

[State 3310, ChangeState]
Type = ChangeState
trigger1 = animelemtime(3) = 0
value = 3311

;---------------------------------------------------------------------------
;Shichinin no samurai San
[Statedef 3311]
type    = C
movetype= A
physics = S
velset = 0,0
ctrl = 0
poweradd = 0

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3311, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3311, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = Var(47) >= 0
attr = C, HA
damage = Floor((5 + (Random/1000.0)) * Fvar(28) + 0.5), Floor(2 * Fvar(28) + 0.5)
animtype = Light
guardflag = M
hitflag = MAF
priority = 2, Hit
pausetime = 6, 12
sparkno = 2
guard.sparkno = 1
sparkxy = 0, -30
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 18
ground.slidetime = 18
ground.velocity = 0, 0.00000
air.velocity = -0.2257, -4.00000
air.hittime = 20
air.type = High
air.juggle = 15
getpower = 0, 0
givepower = 10, 15

[State 3311, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = Var(47) < 8
attr = C, NA
damage = Floor((5 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = M
priority = 2, Hit
pausetime = 6, 12
sparkno = 2
guard.sparkno = 1
sparkxy = 0, -30
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 18
ground.slidetime = 18
ground.velocity = 0, 0.00000
air.velocity = -0.2257, -4.00000
air.hittime = 20
air.type = High
air.juggle = 15
getpower = 0, 0
givepower = 10, 15

[State 3311, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3311, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 3311, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
value = 200, 0
channel = 0

[State 3311, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 3320

;---------------------------------------------------------------------------
;Shichinin no samurai Shi
[Statedef 3320]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 3320
poweradd = 0

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3320, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3320, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 3320, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 0
attr = S, HA
damage = Floor((9 + (3 * Random/1000.0)) * Fvar(28) + 0.5), Floor(2 * Fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 5, Hit
pausetime = 12, 18
sparkno = 2
guard.sparkno = 1
sparkxy = -5, -39
hitsound = 5, 1
guardsound = 6, 0
ground.type = low
ground.hittime = 22
ground.slidetime = 22
ground.velocity = -0.25509, 0.00000
air.velocity = -0.04183, -3.50000
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3320, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 0
attr = S, NA
damage = Floor((9 + (3 * Random/1000.0)) * Fvar(28) + 0.5), Floor(2 * Fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = M
priority = 5, Hit
pausetime = 12, 18
sparkno = 2
guard.sparkno = 1
sparkxy = -5, -39
hitsound = 5, 1
guardsound = 6, 0
ground.type = low
ground.hittime = 22
ground.slidetime = 22
ground.velocity = -0.25509, 0.00000
air.velocity = -0.04183, -3.50000
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3320, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3320, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
value = 210, 0
channel = 0

[State 3320, HitDef]
type = ChangeState
trigger1 = AnimTime = 0
value = 3330

;---------------------------------------------------------------------------
;Shichinin no samurai Go
[Statedef 3330]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 230
poweradd = 0

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3330, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3330, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 3330, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 0
attr = S, HA
damage = Floor((8 + (Random/1000.0)* 3) * Fvar(28) + 0.5), Floor(2 * Fvar(28) + 0.5)
animtype = Heavy
guardflag = MA
hitflag = MAF
priority = 7, Hit
pausetime = 8, 16
sparkno = 2
guard.sparkno = 1
sparkxy = -5, -44
hitsound = 5, 1
guardsound = 6, 0
ground.type = low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.75509, 0.00000
air.velocity = -2.04183, -4.00000
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3330, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 0
attr = S, HA
damage = Floor((8 + (Random/1000.0)* 3) * Fvar(28) + 0.5), Floor(2 * Fvar(28) + 0.5)
animtype = Heavy
guardflag = MA
hitflag = M
priority = 7, Hit
pausetime = 8, 16
sparkno = 2
guard.sparkno = 1
sparkxy = -5, -44
hitsound = 5, 1
guardsound = 6, 0
ground.type = low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.75509, 0.00000
air.velocity = -2.04183, -4.00000
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3330, ChangeState]
Type = ChangeState
trigger1 = animelemtime(3) = 0
value = 3331

;---------------------------------------------------------------------------
;Shichinin no samurai Roku
[Statedef 3331]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
poweradd = 0

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3331, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = Var(47) >= 0
attr = S, HA
damage = Floor((12 + (Random/1000.0)* 3) * Fvar(28) + 0.5), Floor(2 * Fvar(28) + 0.5)
animtype = Heavy
guardflag = MA
hitflag = MAF
priority = 7, Hit
pausetime = 12, 16
sparkno = 2
guard.sparkno = 1
sparkxy = -5, -44
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 25
ground.slidetime = 25
ground.velocity = -4.75509, 0.00000
air.velocity = -2.04183, -4.00000
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 3331, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = Var(47) < 0
attr = S, HA
damage = Floor((12 + (Random/1000.0)* 3) * Fvar(28) + 0.5), Floor(2 * Fvar(28) + 0.5)
animtype = Heavy
guardflag = MA
hitflag = M
priority = 7, Hit
pausetime = 12, 16
sparkno = 2
guard.sparkno = 1
sparkxy = -5, -44
hitsound = 5, 1
guardsound = 6, 0
ground.type = high
ground.hittime = 25
ground.slidetime = 25
ground.velocity = -4.75509, 0.00000
air.velocity = -2.04183, -4.00000
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 0, 0
givepower = 20, 30

[State 230, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 230, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
value = 220, 0
channel = 0

[State 230, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 3340

;---------------------------------------------------------------------------
;Shichinin no samurai Shichi
[Statedef 3340]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 1000
poweradd = 0

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3340, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3340, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3340, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 3340, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >=2
v = 51
value = 2
ignorehitpause = 1
sprpriority = 3
persistent = 0

[State 3340, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 3340, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3345

;---------------------------------------------------------------------------
; Rolling attack Fly
[Statedef 3345]
type    = A
movetype= A
physics = N
velset = 6
anim = 1020
ctrl = 0
poweradd = 0

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3345, PosAdd]
Type = PosAdd
trigger1 = time = 0
y = -7

[State 3345, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 0
channel = 0

[State 3345, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = 1000, 1
channel = 1

[State 3345, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3345, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 1

[State 3345, HitDef]
type = HitDef
triggerall = (Var(47) >= 0)
trigger1 = time = 0
attr = S, HA
damage = Floor((15 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 3345, HitDef]
type = HitDef
triggerall = (Var(47) < 0)
trigger1 = time = 0
attr = S, HA
damage = Floor((15 + 4 * (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -31
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.92721, -6.5
guard.velocity = -3.46730
air.velocity = -1.92721, -6.50000
air.hittime = 60
air.type = High
getpower = 0, 0
givepower = 20, 30
fall = 1
air.fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 3345, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3345, Juggle]
Type = VarSet
trigger1 = MoveHit
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3345, ChangeState]
Type = ChangeState
trigger1 = movecontact
value = 3350

[State 3345, ChangeState]
Type = ChangeState
trigger1 = time = 15 + 15 * var(50)
trigger2 = time > 10
trigger2 = FrontEdgeBodyDist < 5
value = 3360
ctrl = 1

;---------------------------------------------------------------------------
;Rolling attack Contact
[Statedef 3350]
type    = A
movetype= A
physics = N
anim = 1030
ctrl = 0

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3350, VelSet]
Type = VelSet
trigger1 = time = 0
x = -2
y = -3.5

[State 3350, Gravity]
Type = Gravity
trigger1 = 1

[State 3350, Combo Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3350, ChangeState]
Type = ChangeState
trigger1 = pos y > -1
trigger1 = time > 0
value = 3360

;---------------------------------------------------------------------------
;Rolling attack Land
[Statedef 3360]
type    = C
movetype= A
physics = C
velset = 0,0
ctrl = 0
anim = 1040

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time < 23
trigger1 = time % 2
time = 3

[State 3360, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 3360, Combo Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3360, ChangeState]
Type = ChangeState
trigger1 = time = 25
value = 11
ctrl = 1

;-------------------------------------------------------------------------------
; Special Shake Fall State
[Statedef 5021]
type    = A
movetype= H
physics = N
velset = 0,0

[State 5020, 2] ;Anim for HIT_BACK
type = ChangeAnim
trigger1 = Time = 0
value = 5030

[State 5020, 4] ;Freeze anim
type = ChangeAnim
trigger1 = Time > 0
value = anim

[State 5020, 5]
type = ChangeState
trigger1 = HitShakeOver
value = 5031

;---------------------------------------------------------------------------
; Special Fall State
[Statedef 5031]
type    = A
movetype= H
physics = N
ctrl = 0
velset = -5,-4.5

[State 5030, 1]
type = VelAdd;Gravity
trigger1 = 1
y = GetHitVar(yaccel)

[State 5030, 4]
type = SelfState
triggerall = HitFall
trigger1 = HitOver
trigger2 = Vel Y > 0    ;Hit ground
trigger2 = Pos Y >= 10  ;.
value = 5050 ;HITA_FALL

[State 5030, 5]
type = SelfState
trigger1 = AnimTime = 0
value = 5035 ;HITA_UP (transition)